Main

Renoise Help v1.25 (March 2003) - http://www.renoise.com

Complete beginners should start with the newbies section (introduction to trackers). If you have more experience or don't wish to read everything, there is a brief introduction to program in quickstart. Bear in mind that quickstart will not introduce you to all the features and tricks supported by Renoise, so if you want to learn about these you should read full documentation. There are many program features that simply won't fit into quickstart.

All help references refer to this image. You can view it anytime by clicking on Main Screen. Click on this image or select appropriate topic to view detailed description.
(1) Position editor, (2) Scopes/DiskOp, (3) Instrument selector, (4) Pattern editor, (5) Pattern-Context Pad, (6) Properties window


Features
List of implemented features
Easy to use user interface, all-in-one, customizable and user friendly (uses DirectX for fastest response time)
 Easy to use song arranger (sequencer) and song editor (tracker style)
 FastTracker2 - like default keyboard shortcuts (user definable), and similar GUI
 Full MIDI support (MIDI playback synchronized with audio latency and can be additionally synchronized manually if necessary)
 Full synchronization via MIDI clock as master or slave to external programs or hardware that is able to receive or send MIDI clock (e.g. drum machines, external sequencer, etc.)
 Integrated support for VST Plug-Ins 2.0 (effects and sound processors)
 Integrated support for VSTi (VST instruments 2.0 - you can use many great software synths from Renoise)
 ASIO multi I/O cards support (for very low latency) with the ability to route tracks to hardware channels
 Integrated sampler and high quality mixer
 Integrated sample editor with full sample editing capabilities
Integrated instrument editor with graphical envelopes (better than classic ADSR envelope)
 High quality player (internal 32-bit float point processing, interpolated, click free)
 Real-time DSP engine with high quality effects (reverb, echo/delay, compressor, distortion, flanger, phaser, EQ...)
 Track effects, master effects, send effects which can be applied in desired amount on each track
Unlimited number of effects per track and high speed effects processing
 Automation of effects via track and instrument envelopes. No need to type or remember effect numbers.
 Sampler supports: samples, multi sampled samples (sample splits), loop samples (loops)
 Use sounds all at once: Sampler + VSTi + MIDI audio (as one instrument)
 High quality WAV renderer (32-bit, 96 kHz, 2 quality modes (near perfect and perfect), with ability to render each track in separate file)
Build-in visualization (Stereo Scopes, Track Scopes, Spectrum Analyzer)
Many popular formats support (songs/modules/instruments/samples)
 Runs on all 32-bit Windows that support DirectX 8.0 (Windows 95-98-Me-NT-2000-XP)
Macintosh version in development!


Supported File Formats
Songs / modules

Renoise song (RNS)
Noisetrekker 3.22 module (NTK)
FastTracker2 extended module (XM)
Impulse Tracker module (IT)
Amiga module (MOD) - M.K., M!K!, FLT4, 4CHN formats

Instruments

Renoise instrument (RNI)
Noisetrekker instrument (NTI)
FastTracker2 extended instrument (XI)
VST-bank files and presets (FXB/FXP)

Samples

Windows wave (WAV)
Macintosh AIFF (AIF, SND)

Other

 Renoise / Noisetrekker theme / Config files (XML)


Requirements
Latest version of DirectX runtime (DirectX 8.0 or later). You can download DirectX from http://www.microsoft.com/directx. If you already have DirectX installed but are not sure which version it is, check it out here (this link will work only if you haven't changed default location in Windows 9x). Click here for the same if you use NT/2000/XP.
Sound card that is supported by DirectX.
Graphics card and monitor that supports up to 1024x768 in 16 bit color.
Mouse, keyboard.
A fast CPU is recommended. It works well on 400-800 MHz, but it might also run on slower CPU's (by tweaking values in (6) Properties window - below is a list of optimizations you can try).
Optional requirements: MIDI keyboard (simplified input of notes), Audio Card with ASIO support (low latency) - all supported by Renoise.

You can virtually work on any CPU, however, this program has a heavy Digital Signal Processing engine implemented in its code so a fast CPU is recommended. It works great for example on an 800 MHz AMD Duron with about 15-25% CPU load with many DSP engines on. Also note, if you use VST/VSTi CPU usage will increase because they also use CPU to process the sound.

CPU usage (sound) optimization in Renoise options
Go to Configs in (6) Properties window
Open Audio tab
Increase Latency time first...
If this doesn't speed up things enough you can disable some DSP engines by selecting setting from the CPU Usage box
If your CPU is still overloaded you can reduce sampling frequency from 44100 Hz to a less value. Less than 22050 is not recommended as sound quality will be decreased

CPU usage (sound) optimization using various hardware
Use an audio card that supports ASIO. It decreases the audio latency drastically. MIDI latency also benefits from low ASIO latency.
Use PCI cards instead of ISA audio cards. They consume less bandwidth.
Don't use internal "On-Board" sound cards. Drivers may consume CPU while chip is in use. Use PCI cards instead.

Video optimization in Renoise options
Disable pattern follow in (1) Position editor for faster (4) Pattern redraw

Video optimization using various hardware
Use AGP instead of PCI video cards
Use graphics cards with a fast 2D accelerator (blitter for drawing rectangular areas like windows). Most fast 3D cards also have fast 2D accelerator.

Other optimizations
Sorry, nothing else left! Buy a better computer! Renoise is worth it - you get a professional home studio and all other programs will also work better! Faster CPU will bring you faster DSP and VST. More memory will give you smoother performance. Faster graphics card will bring you smoother screen redraw even in higher resolutions. More HDD will give you more space for samples.


Credits and Acknowledgments
Main team members

Eduard Mueller (Taktik) - Main programming, main concept
Zvonko Tesic (Phazze) - Web design and programming, main concept, help, promotion
Martin Sandve Alnes (Martin) - Main programming, main concept

Support team members

Paul Rogalinski (Pulsar) - Additional programming, help, support to coders
Clenn ten Hove (Evention) - Forum administration, hosting and maintenance
Neil Gaeggeler (Celsius) - Web and Flash design, program graphics design, IRC channel
Lars Hoss (Woeye) - Macintosh version port, additional programming

Original Noisetrekker 2.0 and minor code portions: Juan Antonio Arguelles Rius [arguru@smartelectronix.com]
Special thanks to (no order): Michal Wolniak, Sven-Oliver Kiesow, Moritz von Trotha, TAo-AAs

Huge thanks to: Paul Connell [tml_paul] , Evert Jonker [Trackah], Craig Bynum [tEiS], Clenn ten Hove [Evention] and Jeroen [DJ JR] who assisted Phazze writing the help files.

Thanks to all users that support Renoise and especially to those who register!

Technology

Windows and DirectX: Microsoft
ASIO and VST: Steinberg (ASIO and VST are trademarks of Steinberg Soft - und Hardware GmbH)
NSIS installer: Nullsoft
General MIDI (GM): Roland

If you think your name should be listed then please contact us!


Contact

Contact Us
If you contact us the first time: Start Feedback.htm (located in program folder - shortcut is installed in Start Menu), fill the form and finally send us the data it will generate to our mail address.

If you contact us after the first time: send a normal mail with bug report and/or suggestions.

Filling in your Data in feedback is anonymous and voluntary. Data will help us to improve our software. Please send such filled questionnaire data only once, so we don't receive multiple questionnaires from one person, and the next time when you contact us for bug report or suggestion send us a normal mail.

Feedback application data
Send this data only in case you: a) use our program for the first time, b) you register for the first time
feedback@renoise.com

Suggestions how to improve our program
suggestions@renoise.com

Bug Reports
bug@renoise.com

Web Page Comments or reporting Broken Links
web@renoise.com

Renoise Developers (use these contact addresses only for reasons other than those listed above)

Eduard Mueller (taktik@renoise.com) - Main programming, main concept
Zvonko Tesic (phazze@renoise.com) - Web design and programming, main concept, help, promotion
Martin Sandve Alnes (martin@renoise.com) - Main programming, main concept
Paul Rogalinski (pulsar@renoise.com) - Additional programming, help, support to coders
Clenn ten Hove (evention@renoise.com) - Forum administration, hosting and maintenance
Neil Gaeggeler (celsius@renoise.com) - Web and Flash design, program graphics design, IRC channel
Lars Hoss (woeye@renoise.com) - Macintosh version port, additional programming

Thank you for contacting us!


Newbies
This part is reserved for tracker newbies and beginners in music to learn some basics about ways of composing music using a tracker and/or hardware equipment, what trackers really are, where they come from, what the alternatives are to tracker-style composing etc. Users already familiar with trackers can safely skip this part, although they might want to take a look if they lack something in their knowledge.

So... what is a "tracker"?

A tracker is a program designed for composing music. The name tracker refers mostly to the 'pattern editor' which consists of numbers and notes sorted into rows and columns, unlike musical score notation. This makes it easier for people to compose even without knowing much musical theory - only basic theory is required: knowledge about note names, octaves and a good pair of ears. Usually in trackers columns represent tracks and rows represent pattern lines (notes on different tracks but in the same row are played at the same time).

Trackers have integrated features for loading and storing samples, some way of editing samples and the pattern editor where you edit your music notes. Finished songs are saved as files commonly known as modules. Such modules (also called 'mods') contain all the samples and patterns you created and used. They contain information about arrangements you've made. In other words, they are finished songs that can be loaded and played with all required stuff packed in, unlike MIDI songs that require additional sets of samples and/or hardware to play the song. Of course, this is the reason why modules are a little bit longer in file size when compared to MIDI files. Furthermore you can extract instruments from a module, replace them with other instruments/samples unlike final products - such as MP3, CD Audio or WAV files. Modules are in most cases shorter than MP3 files and can sound very very good (or bad if you are a lousy composer). As an exception, my modules are way bigger than average MP3s ;-)

So in short, generally anything that shows notes as patterns in column format with many numbers and "---" lines is called a tracker. Dots, lines and numbers - that's all it is!.

Amiga tracker (Protracker) with a cool mod (Jeez was it that ugly? - check the mouse arrow!) This was a 1:1 full screen picture!

Tell me about the history of trackers...

There are many trackers. The first tracker appeared on a miracle of a computer called the Amiga in 1987. Its author, today a legend and father of all trackers was Karsten Obarski. His program was called Soundtracker I. It was a commercial product and very soon became so popular that clones were inevitable. It came with a set of sample disks called ST-01 and ST-02 with lousy 8-bit samples sampled from various synthesizers or sample CDs. Sure, they were great at the time - because we never knew of anything better. In fact those samples were so terrible and so many composers used them that all of the songs sounded alike. Yeah, those were the days - you could recognize which ST disk a song was using simply by listening to it. "You make me feel so gooooood!!!"... "This is a journey into a sound".... yeah...bring it on! Soundtracker also had "powerful" effects like setting sample volume and pitch slide. Wow, wasn't that some time? Yeah, but in 1987 it was a miracle, a dream come true. Terrible! But history!

However the history of trackers goes even deeper than Amiga times into times when 8-bit machines ruled the world. The name of one legendary machine was the C64 (Commodore 64) and software that looked like trackers originally appeared on it. Software like Rock Monitor, Synth64 or Future Composer used some kind of number notation. However the original tracker concept and especially the module concept as we know it today originates from the Amiga. So don't let me hear you youngsters saying that modules and trackers began their life on PC because it ain't true and you better learn history lessons well :-)

Rock Monitor 3 on C64 - Modern trackers are too hard for you? Try this one... feels very retro, almost like the stone age!

After that came Noisetracker (now does that name ring a bell...hmmmmm) and Protracker. And many, many other clones. They increased the number of effects, added some new features but basically they were the same 4-channel trackers as the first Soundtracker was. And mostly related to the Amiga. Did you know that songs and modules were called "mod.something" instead of "something.mod"? The Amiga made it possible, while the PC was still struggling with 8+3 DOS names. Nevertheless, although compared to today's standards only 4 channels was bad, I can't deny the fact that people managed to compose such unbelievable musical masterpieces in those 4 channels (and with 8-bit sound).

Another tracker revolution happened on PC - there were great trackers on PC too and many people are still addicted to some of them, claiming to be the best ones ever made. One of the best was FastTracker 2 although some people claim Impulse Tracker (or whatever else you want to put here) was the best but we won't discuss this here (we know FT2 was better :-). Anyway it's a similar topic to one of those "which is better Zx Spectrum or C64, Amiga or Atari ST" arguments etc...etc... (C64 and Amiga are better heheh ;-) These DOS tracker were really good. Not only could they play samples, set a volume or such simple effects they could do much more. They could do volume and panning envelopes. You could load 16-bit samples and work with them actually like on real hardware sampler but within a much tighter budget. You could compose more complex stuff with the 32 or 64 channels they supported. Some of these became standards for creating music. These were for DOS and do not work correctly with today's Windows like Windows XP or Windows Me (they were made in 1996 or so...). So the trackers moved to Windows, unlike some people who continued to live in 1996 and still use FastTracker 2. There are also trackers for other platforms too other than Windows... but most are for Windows.

And today we have probably a third revolution in trackers. Trackers are now doing heavy Digital Signal Processing and add real-time effects to tracks. They also can synthesize sounds with built in synthesizers. Only the best though are worth a look. A lot of bad software is out there. Renoise supports all you can find in all those other trackers and adds a professional touch to it.

What is the alternative to trackers?

Well... according to those other "pro" composers trackers are alternative... but with such processing power we have today in our PCs there is less and less need for professional MIDI equipment (personally I don't use any, except MIDI keyboard). I see more and more DJs and producers using such software-only tools for creating music, and many of them are getting publishing contracts. It was possible even with FastTracker2 and now it is even more possible. However Reason, Rebirth, Cakewalk, Cubase (these are not trackers) and similar pieces of software are more popular with professional producers... they all use "Cubase"-style interface and try to emulate rack components. Many "professionals" are used to this interface and no matter what you say to them they will never like trackers no matter how good the sound quality is. On the other hand some people believe that FastTracker 2 is still a state of the art program today, and simply refuse to believe there is better software available. Tracking is in many ways a better way of composing though. There is no real reason not to become professional just because you use a tracker - listen to the demo songs for Renoise and compare them to commercial songs (it doesn't matter if you don't like the music style, sound quality is what counts). You can learn how to use a tracker much faster especially if it has a simple GUI like Renoise instead of the other style of "bars" interface. But you will have to spend some time to really get your tunes together and produce some quality sounding stuff (not because of the tracker's sound quality but simply because you may be inexperienced). So don't give up!

Anyway off topic, Cubase-style software is mostly meant for use with MIDI hardware although they can work with good sound cards like SB-Live or similar. Using a tracker often assumes you might not have the money for such (expensive) equipment. But the times are (as always) changing and the fact is becoming more and more obvious: No need today for MIDI synths! Just a good piece software.

Today there are many trackers. Many of them are unfinished, many of them are only semi-functional and it can give trackers a bad reputation as non-professional software. But if a tracker is programmed and documented correctly there is no reason it shouldn't compete with (or even beat) such so-called "pro" music software.

What music styles can I compose with this program? Can I make Dance, Techno or Hip-Hop? Can I make Rock or Metal? How about Classical?

The program itself is actually not limited to any particular musical style. We know that some software makers name their software after certain music style but that is only for marketing reasons. You can make modern styles like Techno, Trance, House, Hip-Hop, Drum'n'Bass, R'n'B, Club, Dance, Goa, Psychedelic, mixed ones like Acid Jazz, New Age or more traditional ones like Reggae, Rock, Blues, Metal, Hardcore and even Classical orchestral type of music... you name it! Of course, these are only examples (add your own favorite styles here) - you can compose anything you can think of!

Renoise is really great for many modern music styles which utilize synthesizers and samplers but also good for Rock or similar styles where you can use it as a drum-machine or a player for looped samples. In this case you have to sample such sequences (guitar sequences are harder to play in a tracker than using a real guitar and they will also sound better on a real instrument). These sampled sequences are called "loops". But sequences like strings or synth leads are easier to play in a tracker or using keyboards. The program supports really large sample sizes and you can arrange them as loops, add effects etc. Also you can make any music that uses loops from sample CDs using the Beat Sync option in the (6) Properties window / Instrument Settings. Controlling external devices via MIDI is as easy as working with samples.

Can I compose professional quality music with this program? Do I need any professional equipment? Can I publish something I make with Renoise, are there any royalties I have to pay for? Do I need "Cubase" or similar software?

Yes, you can make commercial and professional quality music with Renoise. No need for other equipment, as it is an all-in-one solution - synth, sampler, effect processor, mixer, sequencer... there are no limits.

If you really want to be a true professional, you can buy a MIDI keyboard to simplify input of notes or maybe some additional pieces of equipment like a mixer, an effect processor, a better sound card etc. You might also want to get some sample CDs to work with.

But you will have grow naturally, and walk before you run. Don't expect your first song to be perfect and don't give up. Use the program for a while and listen to experienced people's opinions about your music. As for "Cubase" - read about the alternatives to trackers elsewhere in this document.

You can publish anything you make with Renoise and you don't have to pay any royalties as long as you own a legally registered version of the application. We would also be glad to see on your CD or LP cover that you mention if Renoise was used in making of that album or any songs. We also reserve the right to use this information to promote your producer/DJ name and our software.

How can I compose anything with this? How to start? It is complicated...

You haven't seen synths and samplers... They have dozens of buttons. And large amounts of wires behind them. And samplers usually have a very small screen for showing information... something like 100x50 pixels. Compare this to Renoise's 1024x768. And by the way, software on hardware samplers can "crash" too. Seems they are not perfect after all :-) We believe that composing can be simpler than this! The point is that using standard equipment you have everything in many components and you have to switch from one to another all the time. In Renoise you have an all-in-one solution.

But to get you started start see the Quickstart section of this documentation. It will help you a lot in the beginning even if you haven't used any trackers before. Then you can progress to the more advanced topics that are also described in this manual.

It takes only a few hours of playing to learn almost everything in a tracker. And you only initially need to learn what to read, and what to ignore, when looking at the pattern or effect displays. It's that simple! It's like a pilots control panel where there are hundreds of buttons but only a few of them are really worth watching all the time. Start by introducing yourself to basics like patterns and samples. First trackers only had that so it's a great start. Load the tutorial songs. Look at the tutorial texts in this help. Play with them. Click the buttons - they don't bite! But obviously be careful with those saying "delete" or "zap" etc...

I see only dots and numbers and I see a LOT of them!

Now this may sound weird but it is really NOT complex! This is where trackers actually have a strong point compared to other ways of composing. Compared to MIDI software + hardware devices you need to know less. You have everything, and I mean everything, in one program. Instead of showing a simple line going through bars (as in Cubase-style sequencers) trackers show the whole pattern scrolling as the song plays.

To clarify the way a pattern looks, lets divide it into sections. A pattern is divided into tracks. Each track is divided into columns. The first column represents a musical note and it is often the only one you will care about. The others are used for various effects - which is inherited from previous trackers like the ones on the Amiga. In Renoise you can also control effect playback with many other parameters like envelopes, track envelopes, filters etc...
Here is a little example how a pattern track line in Renoise looks:

| C-4 04 00 00 0210 |

C-4 is the note. You can insert it in Renoise by pressing any key on the virtual piano keyboard (i.e. the qwertyuio keyboard in front of you) - or a MIDI keyboard - while you are in edit pattern mode. Next, 04 tells us its instrument number. The second and third columns are showing volume and pan respectively. These can control the volume and stereo position of the note C-4 (on instrument #4). Lastly, 0210 is effect number 02 and parameter for that effect is 10. Simple?

You don't have to remember all of the parameters in the last effect column because you have a reference to all effect commands in this help file. And if you are in record mode and tweak track parameters they are recorded to the pattern automatically so you don't have to remember track effect numbers at all actually.

What are loops, samples (and samplers), synthesizers, MIDI?

MIDI - stands for 'Musical Instrument Digital Interface' - a general standard for connecting various instruments together, often to be used with a computer as a sequencer, where notes are played over MIDI protocol on the instruments themselves. So sound quality depends on the quality of MIDI equipment and the computer is only used as a sequencer (for arranging notes). There are generally 2 types of MIDI - In and Out. MIDI In is used in keyboards, sound modules etc. to control notes, filters etc. MIDI Out sends note and effect parameters data to other MIDI equipment. Examples of MIDI equipment are synthesizers, samplers, effect processors etc. Today, MIDI is arguably becoming obsolete as a standard and there are many extensions to it that extend for example number of channels. General MIDI (GM) is on other hand standard that defines the first 128 MIDI instruments that all instruments supporting GM should have. Many sound cards also implement the GM standard. These instruments are various pianos, strings, basic drum set etc.

Synthesizers - They generate sounds by producing waveforms with one or more synthesizing units inside them. These waveforms usually start from basic waveforms like sinus, pulse, triangle, random noise, saw etc. After they are mixed together and when you add some effects to them they can sound like strings, 303 basslines, basses and so on. Many instruments can be synthesized - however some sound better if played as (multisampled) samples. One difference between analogue synths and digital ones is that analogue synths are older and therefore use analogue circuits to generate sounds. Digital synths use chips that generate and mix sounds. Renoise uses the computer's CPU and therefore works much like a digital synths, but it is also a sampler, effect processor etc.

Yea Baby! The original TB-303 from Roland, analogue synth with groovy bass sound and it's "Computer Controlled"! Wow! :-)
Samplers and samples - This is another way of producing sound. Instead of synthesizing waves, sound 'samples' are taken from original sound - e.g. piano - at periodic intervals and if such periods are quick enough ear won't hear the difference between the original sound and the sampled sound. These are stored as digital values. A sample is defined by two basic parameters: amplitude and sampling rate. Amplitude varies over time units which are sampling periods. The shorter the sampling period - the better the sound quality. Same goes for amplitude resolution (number of values defined for amplitude storage). Samples are usually 8 or 16 bit. 8 bit are older and offer less quality but are satisfactory for some purposes (like voice or phone, as it requires less space for storage). 16-bit is enough for the human ear although it would be better to use something in the order of 24-bit to cover all purposes. The trick is to offer enough resolution to cover the whole dynamic range of human hearing which is about 80 dB (I think...) and CD quality offers about 90 dB so it should be enough - but you also need to cover enough range to allow even tiny volume variations - this is where 24-bits come into play.

CDs are 16 bit and some sound cards also support 24-bit sound. 16 bits gives you resolution of +/- 32767 values for sample volume. Sampling rate is how fast audio samples are taken. CD quality is 44100 samples per stereo channel per second. That means 88200 16-bit samples for 1 second of audio (or 176400 bytes). Also, your speakers need to be able to reproduce a wide frequency range. Samplers are hardware devices that utilize this principle and can add effects to sampled sounds, as well as simple playback.

Multi sampled instruments for example use one sample for each octave (one musical scale), or even more than one per octave, or even a different sample for each note. So for an instrument that is multi sampled once per octave you have one sample for C-3, C-4, C-5 etc. Such instruments sound more natural, and take more space.

Renoise works internally with 32-bit floating point samples for high quality mixing and supports sample splits for multi sampled instruments.

Sample of an analogue wave taken over time
Loops - This is a sampled sequence. It can be a drum sequence, piano sequence, string sequence, bassline sequence, guitar sequence... anything. You arrange loops so that when you insert them and match the appropriate speed (BPM - beats per minute (bassdrum kicks, that is)) they sound natural even though they are repeating themselves. This is because the repeat points are similar and sound alike. With different loops you can make a complete piece of music. You can find many commercial loop CDs for various styles of music. Using these is simple - you just find loops you like for bass, strings, drums, etc. insert them and play them all together and they sound like complete music. Today a very popular way of composing is using drum loops as the basis of a song as they mostly repeat themselves and there is not much difference if you play them as individual samples or use loops. On top of a drum loop you can add other sounds and play them along with the drum loop. Drums are probably the most popular type of loop because they make the basis of song while other song parts like leads, strings etc. can be more easily played.

Renoise supports all of those methods to produce audio. It doesn't need external hardware like MIDI but it can work equally well with MIDI.

How can you play different notes out of a sample of a single note?

It's quite simple. This requires a little bit of music theory. When you play a note exactly as it was sampled it will retain its original pitch. Now, if you skip every other sample (and therefore it will play faster) it will play one octave up. If you repeat each sample twice it will play slower and be one octave down. So if you have an A-4 note at 440 Hz it will be A-3 on 220 Hz and A-5 on 880 Hz. It is logical to assume this will degrade a sample when you exceed more than a few octaves and you can easily hear that this is true. However in Renoise we use floating point calculations called a "spline" to calculate the appropriate speed of sample playback and resample each sample to the correct speed. It is very CPU intensive. Old machines like 386 PCs could barely handle it. Today it is not a problem with 1GHz+ machines. Some synths also use floating point to resample samples in their hardware.


Tutorials
To help you getting started with Renoise you can use tutorial modules. You will find them in the Songs folder. We tried to use appropriate instruments with appropriate effects to demonstrate effect potential, but you can use such effects on anything else.

Actually those tutorial songs are more like example songs. They don't show the full potential of Renoise, they only demonstrate some cool effects and features.

Here is what they demonstrate

Tutorial1 - this demonstrates the use of the note delay and note retrigger commands that can help you to make some "funky" beats. Look for these effect commands in effect columns. You can also try playing one track solo and hear exactly how the effect modifies beats.

Tutorial2 - this is an example of filters and multi note columns. First we have a volume and panning envelope (in Instrument Editor in (6) Properties window). Volume envelope defines the change of volume over time. This envelope gives string a nice fade in. When Renoise encounters the "note off" command in pattern editor, the strings will not stop playing immediately, they will fade out first. This fade out value is defined also in Instrument Editor. Now switch to panning envelope in Instrument Editor. This shows how stereo panning will be done over time. It simply bounces from the left to the right speaker. Finally we have Track Envelopes in (6) Properties window. Here we used filter envelope on the channel with the strings to give them filter slide and make them sound more interesting. Experiment with envelopes by turning them on and off to hear the difference. Notice how filter cutoff values are changed by the filter envelope while the song is playing in Track DSP's view in (6) Properties window. Tracks using track filters are marked with the [image] sign. Notice how me made use of multi-note columns in the strings track to enter chords.

Tutorial3 - demonstrates the usage of the pitch slide command. You can slide to particular note with this command. You can use such slides for leads, strings etc.

Tutorial4 - demonstrates the filter and distortion effects. Try disabling both effects to hear the difference. Distortion and Filter values are altered using Track Envelopes.

Tutorial5 - shows one way to use 09 pattern effect to slice loop samples without cutting them. If loop samples are cut properly you can trigger for example snare sample by entering 0940 command in pattern editor. Later in song you can see how to time stretch loop using only 09 effect. Its a bit difficult to explain, so you definitively have a closer look on it by yourself.

Tutorial6 - this is another usage of 09 command to achieve quick loop repeating effect (hard to describe but load it instead listen and see how it is done).


Quickstart
First you should familiarize yourself with Main Screen. We will refer to that screen in the following sections, so have a closer look on it.

Also, following topics may relate to previous topic in this list so read them in order that is listed below.

Loading, playing and saving songs (modules)
Loading samples, editing notes in pattern editor
Editing instruments, samples, instrument envelopes, instrument parameters
Track, Master and Send effects
Track automation and track envelopes


Quickstart Load / Save

Loading, Playing and Saving Songs (Modules)

If the Scopes are active instead of DiskOp, press the button called DiskOp on top-right of the (2) Scopes/DiskOp screen.
You should get a Disk Browser window like this one:
Navigate through folders and find a folder with demo modules or other songs/modules. Click on a file to load it. Here you can also save samples and songs (modules) by pressing on the appropriate buttons. Buttons 1, 2, 3, and 4 are shortcut Buttons for your Favorite directories. To go to a shortcut directory, simply click them with your left mouse button. To store the current directory as a shortcut, click your right mouse on buttons.

Now look at the (1) Position editor screen part
Press the Play button (with the play symbol). Enjoy the song!

Back to Quickstart


Quickstart Edit Pattern

Loading samples, editing notes in pattern editor

In (3) Instrument selector select empty instrument number you wish to load.
First select an instrument. This is the position where new samples/instruments will be loaded. If you load over existing instrument it will be overwritten.
Now go to DiskOp in (2) Scopes/DiskOp.
Load a sample by clicking on it. All supported instrument/sample types will appear in browser window. Most common are WAV files, AIF/SND files, RNI (Renoise instrument) files, XI (FastTracker instrument) files.
Preview the sample by playing it on virtual piano keyboard (try keys qwertyuio and zxcvbnm). You can use your MIDI-in keyboard if it is properly configured (check configs). If headphones icon is pressed sample will be previewed automatically while loading.

Now with this selected instrument you can enter notes.
First move the pattern cursor (highlighted square) to track you wish to edit using Arrow keys. Click Edit off and it will change to Edit on and activate edit mode. Now press the virtual piano keys again and you will enter notes in (4) Pattern editor. You can record notes "on-the-fly" if you press Play button and play notes on your keyboard. They will be inserted in pattern as you play them. Edit mode must be on if you want to record notes this way.

Note that you must be in note column to enter notes, otherwise you are entering effects numbers in effects columns. To learn about effect numbers look at section (4) Pattern editor. To learn which number is assigned to which effect look at Pattern effect commands.

Now when you have entered some notes you can test them by pressing Play. This is how you insert notes in one pattern. Now let's see how to select more different patterns and arrange song.
In (1) Position editor...
... you can change the current pattern by clicking on Arrow buttons next to sequencer list. Here you can also Insert or Delete patterns and change Song Length. If you get distortion while playing song that means overall volume is too high so lower Master Volume slider or turn on AD - Auto Decrease. Take good care how you balance your sample/instruments volume because AD will keep volume at maximum which doesn't produce digital distortion (clipping). So sometimes you might have very quiet song volume in this case.

Back to Quickstart


Quickstart Edit Instrument

Editing instruments, samples, envelopes, instrument parameters

In (6) Properties window select Instrument Settings
Here you can almost edit all sample or instrument parameters. You can play MIDI, sample and VST all together as one instrument. To play MIDI together with a sample (or just standalone) you have to enable it by clicking on On (left part of the window which shows MIDI options for the instrument). Now choose the MIDI device, MIDI sound patch, etc. Use virtual piano keyboard or MIDI-in keyboard to play and edit notes.
Most important parameters for samples (middle part of the window) are Amplify (determines the volume of the sample), Fine Tuning (fine tune of the sample which sounds detuned). You can have up to 400% of original sample volume, so no more need to use 2 channels for same bassdrum or such stuff like in FastTracker2. If you still need more volume you should maximize (normalize) sample in Sample Editor. You can also choose a loop if you have an looped sample. There are 3 basic loops modes - forward, backward and ping-pong (bidirectional). If you use loop sample (drum loop, baseline loop, etc.) you can sync it to appropriate number of pattern lines with BeatSync here. Turn on BeatSync and select number of pattern lines you want loop to play within. Don't use beatsync on instruments, only loop-type samples. Finally here are also new note actions: they define what will happen if new note is played over old one. Select new note action from menu.

On the right part of the window is a VST instrument editor. If you have installed some VST instruments they will appear on list. If Renoise doesn't find them you have to setup VST path correctly in configs. Parameters for controlling VST are similar to sample and MIDI parameters.

Assuming that you have loaded a sample and you can hear it by playing piano keyboard now select Sample Editor from (6) Properties window
Middle part of screen will show something like this
Mark a range by holding left mouse button and dragging it around sample. After marked range you can Cut, Copy, Paste or Trim sample (Trim keeps only selected portion of sample). And of course you can do all other options that are presented here for editing samples. On the upper part of the window are buttons for easy Zooming In and Out of sample. You can also zoom if you drag slider below sample display by holding its left or right edge (they are in different color than center of slider). If you drag the slider by its middle part you will move through the sample that is displayed. Use the sample editor to set loop points for looped samples and LoopFineEditor for fine tuning your loop.

For editing of instrument envelopes select Instrument Editor from (6) Properties window
Instrument editor shows in the middle of screen:
Basically if you know about FastTracker2 envelopes this is it, just much, much more extended. You draw the envelope with your mouse (left button for lines, right for points), choose from different presets (store it with your right mouse button click on button, recall with left mouse click). There is an envelope for Volume, Panning and Pitch which are basic and extended ones for filters. Envelope length is variable (in ticks). If you want to set a sustain point (part of envelope where it will stop playback of envelope until key is released), turn Sustain to On and move sustain line to appropriate position in envelope. If you create a loop in Envelope you might want to fade out after you trigger Note Off in (4) Pattern editor. To set this fade out value modify FadeOut. This is great for example, on strings.

Additionally there are two LFO's (low frequency oscillators) which you can use for vibrato or similar effects and which have playback independent of envelopes.
Back to Quickstart


Quickstart DSP

Track, Master And Send Effects

In(6) Properties window select the Track DSP's Tab.
DSP window appears
Position the Pattern cursor on the Track you wish to edit DSP for. DSP list changes as you move along tracks.

Basic effects are always positioned here - Panning, Volume and Width. Other effects from internal set or additional VST effects will appear in available list. If VST effects don't appear in this list you have to setup the VST path correctly in configs.

Now, select a DSP effect from the available list and double click on it to insert it as a track effect. You can insert as many effects as your CPU can handle. Note that some effects may take much processing time so go easy on with them if your CPU is not very fast.

Except general, there are also 2 special kind of tracks: Master and Send tracks. Master track is actually track which applies all effects that are added on it to entire song (master output). Send tracks can hold a group of effects on which each track can send desired amount. It is done using special DSP device called *Send Device by inserting it into specific track.

After you have inserted an effect try to modify some of its parameters and then play your song to see how it sounds until you are satisfied with the result. Effects are processed in order as they are added so if you change the effect order they may sound different. To modify the effect order press current tab on the effect select window and modify the order there.
Here you can change the order of effects and also copy/paste/init/delete them. You can of course, do the same things on Effect windows directly by using the appropriate buttons on top of Effect window, but in this list you also see clearly how many effects you have applied to a track and their orders.
Back to Quickstart


Quickstart Track Envelopes

Track automation and track envelopes

In (6) Properties window select Track Automation:
This is a great way to automate your effects instead of typing that effect commands into pattern editor. It is also easy to use. This is how window looks:
Let's suppose you already created some notes in (4) Pattern Editor and positioned pattern cursor to track you wish to edit.

Now let's suppose you want to fade volume from minimal value (start of pattern) to maximal value (end of pattern). From envelope type select TrackVolPan and Volume envelope. Then click on the button "Add new Envelope "to create a new envelope. The Envelope will appear in the list and the graphical display. Use the left or right mouse button to draw lines or points. That's all. Now play it and hear how the volume is fading in.

If you need another envelope like pan, filter or anything else, select another envelope type and press again "Add" to add it to envelope list.

Envelopes appear for all DSP effects that are assigned to the current track and for all DSP effect parameters.
Back to Quickstart


Position Editor

(1) Position Editor (sequencer)
The Position Editor is where you can setup some basics of your song like song length, BPM speed and arrange your song positions in the sequencer. You can also see which patterns are currently played at the current song position.

Screen Display (from the Top-Left to the Bottom-Right)

Top status line Audio VU (Volume Unit) - meter which indicates the played Volume. If the background color of the VU changes, that means that volume clipping has occurred (the digital volume is much louder than the maximum level and therefore sounds distorted). In that case you have to turn down the Master Volume.
Top status line Panic - turns off audio, stops MIDI and song playback. Use it when you over-tweak effects and they start ringing in your ears and you can't find quick way to stop this mess - the button name says it all - panic!
Top status line meters - shows Sync / MIDI in/out status, elapsed song time, CPU usage and buttons for minimize / windowed-full screen toggle and exit button.

Master Volume - Master volume of your song. Lower it if you experience clipping or digital distortion caused by too high volume.
AD - Auto Decrease master volume after distortion has been detected. AD always lowers the volume after clipping detection only. To increase the volume you have to do it manually with the given slider.
Buttons with icons - Play button, Loop pattern (if pressed), Stop, Edit/Record mode toggle

Ins/Del - Insert / Delete Pattern in current Song position.
< > between Ins/Del - Change Pattern number in current Song position. Can be also changed by clicking on the Pattern numbers directly with your Left/Right Mouse buttons (on each digit).
Clone-Button (below Del) - Copies the current pattern and pastes it into the next free available pattern. Further it inserts the newly created pattern below the currently selected play list row.
Sequencer scroll bar - Scroll through your Pattern Arrangements. You can also scroll by clicking on the Position Numbers in the sequencer list.

Song Length - The Length of your Song (number of Pattern Positions)
Pattern Length - Current Pattern Length in lines (default is 64 dec=40 hex - which gives 16 beats on 4/4 measure).
Repeat Pos - Indicates the Position which your Song should restart from as soon as your Song has reached it's end.
Ptr-> [Cur] / [Song] / Sort - [Cur] equals the current Song position to the current pattern. [Song] sets all Song positions to the current given pattern. The Sort option cleans up and rearranges Patterns in ascending order. (the Song Contents remain unchanged).

Key Jazz - Turns on/off polyphonic playback of pressed keys (try playing chord with Key Jazz on and off).
Rec Note Delays - When live-recording into the pattern, this feature will enable automatic note-delay-effect insertion, so the notes you played won't be quantized to pattern-lines but rather to ticks.
Octave - Currently selected Octave for Virtual Piano Keyboard keys.
Edit Step - Specifies the number of lines the pattern editor will move down when you enter or delete notes manually. For example: if set to 3, pattern editor will jump 3 lines down instead of only one line.

Ptrn Follow - This option can optimize Video redraw if your Graphics Card is too slow. It draws only a line which follows playback of your Song rather than scrolling whole patterns. Ptrn Follow On = FT2 like / Ptrn Follow Off = IT like.
MIDI slave - MIDI clock sync as Slave. MIDI clock is only accepted when the MIDI slave is checked.
BPM/Speed - Set song BPM (Beats per Minute). One beat is one bassdrum kick. Speed is a speed factor as known from Amiga trackers or FastTracker2.
Block Loop, 1/4 Pattern - If your pattern cursor is located in the first 1/4 of a pattern and you turn on Loop Block it will loop only the first 1/4 of pattern which is good for testing purposes. If you disable Loop Block, move cursor to 2/4 of a pattern and turn it back on it will loop this 2/4 of a pattern. You can use 1/2 to 1/8 of a pattern to loop this way. For regular playback again turn loop block off.

Using Position Editor

If you are new to Renoise you might want to get familiar with Renoise's Pattern editor. Using only the pattern editor you can compose simple 1-pattern songs without knowing anything about Renoise's Position editor.

After you have entered some Notes in a Pattern that is assigned at the beginning (pattern 00) to Song position 00 you can hear them by pressing the Play button. Then if you wish to add more Patterns to your Song, simply click the Ins button. When you activate AD, it will always reduce maximum volume to fit maximum volume without digital distorting the mix. Before you render your song to a WAV file, you should play the whole song once with (AD) Enabled, to let Renoise find the maximum volume peak and adjust the master-volume. You should also disable DeClipper (Master Track - Track DSPs) before doing that. You can use the Sort option to rearrange patterns in increasing order without affecting how the song will sound.

Key Jazz can help you in testing your chords or to record them. However if you wish to use only one note at the time or record only one note at the time, turn this option off.

1 pattern line has 6 ticks. You can use ticks for retriggering or note-delaying during one pattern line (there is an example for this in Tutorial1 so hear how it works in practice).


Scopes DiskOp

(2) Scopes/DiskOp
This part of the screen has 2 main functions. First it displays audio visualizations, and second, it contains a 'disk browser' for operations such as loading/saving songs, samples and WAV-Rendering.

Scopes

Screen displays (from top-left to bottom-right)

Stereo Scopes - Switch to 2 scopes visualization, one for each stereo channel. The stereo scopes are sensitive to the master volume (unlike the track scopes), so this is the place to go if you need to "see" clicks or distortion.
Track Scopes - Switch to track scopes visualization, one for each track.
Spectrum - Switch to spectrum analyzer visualization, shows frequency analysis for all tracks.
Width - Adjusts window width for scopes (range of the sample values displayed in each scope) or bar width in spectrum mode.
DiskOp - Switch to DiskOp window (replaces Scopes window).

In Track Scopes mode you can mute/unmute tracks by clicking the left mouse button on the track, and solo/unmute all tracks with a right click.

Using scopes

Scopes show the resulting waveform of the current channel or track that is playing, or frequency analysis. They are used to monitor song or track state. Active track and visible range on Track Scopes is highlighted. You can also choose to display only track numbers instead of track names in configs. Spectrum shows spectral analysis of song (most dominant frequencies in range from 20 - 20000 Hz).

Disk Operation (DiskOp)

Screen displays (from top-left to bottom right)

Path name on top - Shows current disk path
Headphones icon - Toggle sample previewing while loading
Scopes - Switch back to Scopes window
Favorites - 4 shortcuts to favorite directories. Store with the right mouse button, go to the stored directory with the left mouse button
Render - Renders song as WAV file (for CD or MP3). Settings are shown after you click.
Save RNS - Saves current song (module) to selected path in Renoise format
Save WAV - Saves selected sample as WAV file
Save RNI - Saves selected instrument as Renoise instrument format (*.RNI)
Delete - This option deletes files from disk. Use it with caution!

Main file listing - Lists all supported file types, their sizes, drive list and ".." for parent directory

Using DiskOp

Use DiskOp to browse for your songs, samples or instruments.

Previewing (i.e. listening to) a sample while it is loading also applies any current track effects so you can hear exactly what you would hear if you used that sample as an instrument in the current track.

WAV rendering (registered users only)

Interpolation - there are two modes: Cubic (faster mode - use it for MP3-like quality - quickly renders song into WAV file) and Sync (precise mode, near perfect - use it for mastering quality - this is a must before you want to master a track and burn it on to CD)
Quality - select sample rate from 22000 Hz (half-CD quality) to 96000 Hz
Bit Depth - select between 16 or 32 bit, 16 bit is CD quality, 32 bit is for mastering purposes
Render Mode - here you can render each track into separate file (to work on them further or to master them) or entire song into one file

Near perfect interpolation mode (Sync) may take quite a while to render a song so be patient. If you don't plan to master a track then fast mode will be good enough though. Mastering a track after it has been rendered is very important to additionally elevate track quality - sometimes mastered vs. unmastered track sound totally different (mastered of course sounds better). However, when doing mastering the sound quality may drop while doing digital data processing. For this reason render at 32-bits and optionally use 96000 kHz and each track in separate file modes. This way you will loose very few digital informations after applying mastering effects which would be much worse in 16 bit mode.

Only when you are done with mastering you can safely return track into 16 bit mode and then burn it on CD.


Instrument Selector

(3) Instrument selector
The Instrument Selector window will help you with the selection of your samples / instruments. It shows all the sounds that are used in your song and their names. Additionally you can rearrange them here.

Screen displays (from top-left to bottom right)

Headphones icon - Toggle instrument preview (when selected).
Cut/Copy/Paste - Performs a Cut/Copy/Paste operation on a selected instrument. Use Cut to delete the selected instrument.
+ / - (upper window) - Select another instrument bank. One instrument bank consists of 8 instruments. It works like page-up/down for all of your instruments.
Arrow Up/Arrow Down - Moves the selected instrument up / down in the list. This affects instrument numbers in patterns too and they are remapped to match the new instrument order in this list.
+ / - (lower window) - Move through sample list in lower window (for multi sampled instruments).

Double clicking on an instrument name opens the Instrument Editor (or VST editor window) and double clicking on the sample name opens the Sample Editor. Clicking with the right mouse button on a sample name or instrument name renames it.

Using the instrument selector

When you load or create instruments, they are placed in this list. Then you can use them or rearrange them. Samples, MIDI instruments and VST instruments are displayed in different colors in this list.

Some options in Renoise require source and destination instrument / sample. You can select destination by clicking on the sample name - which highlights it. To select a source sample click on sample number. The Sample number should be highlighted now. You can now use the source / destination operations as the program now knows where they are (for example, exchange or mix in Sample Editor).

If you use multi sampled instruments (where for instance each octave can be represented with one or more samples) you can select an individual sample by clicking on the lower window. Then you can edit it. This way you can make drum kits or multi sampled instruments like pianos or strings. To setup which sample will be assigned to which key on your keyboard go to the Instrument Editor in the (6) Properties window.

How to organize many samples in instrument selector

We recommend following

Put all drum samples in the first bank. If it exceeds the bank size (8 samples) put the rest in second bank.
Put all samples that are leads, strings etc. in another bank (for example in second bank)
etc...
Use your banks in the same way as in all your songs. Always put the drums in first one, strings in second etc. In Renoise you can move samples through banks with the arrow buttons (unlike in many other trackers) so use it to organize your sounds.

How to organize many samples on disk

We recommend the following - create a folder structure like this:

- Root (or other starting folder)
- Root / Renoise
- Root / Renoise / Samples
- Root / Renoise / Songs Renoise Ideas
- Root / Renoise / Songs Renoise Work
- Root / Renoise / Songs Renoise Finals
- Root / Renoise / Songs Noisetrekker
- Root / Renoise / Songs FastTracker2
- Root / Renoise / Songs Amiga 4-ch Mod
...etc...

In the Samples folder:
- Drums
- Loops
- Strings
- Pads
- Basses etc...

In the Drums folder:
- 909 drums
- 808 drums
- Sound FX (effects)
- Orchestral drums etc...

Make your own structure and keep it that way. This way you can always quickly locate any samples that you require.

Many commercially available sample CDs will have samples organized in such a manner, so if you have such CDs you can learn how you can organize your own samples similarly.


Pattern Editor

(4) Pattern Editor
Patterns are arrangements for your song. They contain note information, as well as effect information. A song must have at least one pattern. The default pattern size is 64 lines (hex.40) which is very convenient for most music styles, but in case you need a different length you can change it in (1) Position editor.

Screen displays (from top-left to bottom right)

Edit On/Off - Shows if Edit/Record mode is active or not.
Track names - Each track can have name and can be renamed. Click with left mouse button to rename.
Green Play/Red Mute - Double click with left mouse to mute/unmute track. Double click with right to play track solo/enable all tracks back.
Number next to Play/Mute indicator - Track number.
White arrows - Click on them to open/close extended note and effect columns.

Holding the mouse button and moving the mouse will mark a block.

Pattern column format

Here is an example of one track columns:

C-4 01 02 03 0423

Note column - contains 'C-4'. This means a 'C' note, at octave 4
Instrument Nr. - contains 01. This means instrument 01 is playing.
Volume column - contains 02. This means instrument volume is set to value 02.
Pan column - contains 03. Sets stereo pan (balance between left and right speaker).
Effect column - contains 0423 . 04 is the command number, 23 is the parameter for that command number.

All pattern command references are in Pattern effect commands

Using the pattern editor

It's very simple. First load some samples (or load a song - demo or tutorial song). Select the instrument you wish to use in (3) Instrument selector and test it by pressing virtual piano keys. Move the pattern cursor (highlighted block) in the note column of the track you wish to edit (Arrow Keys). Click on Edit on/off to set edit mode to On. Now you can enter notes by playing them on virtual piano keys (or using a MIDI keyboard). Press Del to delete notes and Ins to insert them. To stop note playback or cut looped instrument insert note OFF command (Caps Lock). Press play to hear what you just entered.

If you prefer to record notes rather than edit them, activate Edit mode and press play. Now, when you press keys, they will be recorded into the track as it plays.

When you enter a note in track, an instrument number appears automatically next to it. If you need to, you can change it manually and then you'll get another instrument playing the same notes.

Its also possible to expand the notes-columns and effect-columns within a track. To do so, press the corresponding arrow below the track name. Imagine, you want to enter some chords and let them use the same DSP's. Usually you would spread 3 notes over 3 tracks and assign them same DSP effects or route them to a Send Track. With the note-expand feature, you can add up to 12 note-columns to a track, so you can play chords on one track. The Effect row can be expanded to 4 columns, so you can use 4 effects at the same time (although we recommend using track-envelopes, which aren't limited to 4 'columns')

There are many keyboard shortcuts for the pattern editor, we suggest you use them to work faster!

Effect columns and automation

Effect columns have been left for compatibility with older trackers like FastTracker2 and because they give power users much better control of each track. However, most of the time you probably won't even have to use these effect numbers. Renoise supports a much better way of entering such value changes - called Track Envelopes. It is a new and original technology you can find properly implemented only in Renoise. It makes effect changes very easy.

If you prefer effect columns you can type them manually or you can automatically record them when you move sliders for DSP effects with right mouse button (with left-shift hold down it records into the track Track Envelope). You can also enter effects so that they spread throughout a whole pattern by using the effect interpolation keyboard shortcut. Enter a start effect value, enter an end value, mark it as a block and interpolation will fill the missing effect column values, so you don't have to fill them manually.

Master and Send tracks

Master track is a special kind of track in pattern editor where you can put effects that will be applied to the entire song. For example, if you insert EQ in this track and tweak its value then whole song will be modified to sound like EQ you just set in master track. This track is great for mastering purposes - to put special effects in song, to adjust EQ setting for entire song, and all other pre-mastering adjustments. Note, that the effect row can only affect the DSP stack. I.e. you cant apply arpeggio effects for the whole pattern right here.

Master track holds few special track settings:

DC Filter - Removes master DC offset. Calculates average middle and centers master output wave (song) to zero (instead of leaving it offseted so that "zero" is somewhere up or down of real digital zero).
Declipper - Works as a hard limiter. If the master signal is too loud it will reduce the amount of distortion which would be introduced without this filter by smoothing the waveform edges that are over the maximum sample value limit. We do not recommend using this feature, since it might cause your song to sound distorted.
Dither - Smoothens the output of low volumes by dithering them (noise shaping). Low volumes use very few bits for sample definition so may introduce more amount of unwanted frequencies in sound. This happens when reducing internal 32-bit mixing to outputting 16-bits - using dither improves quality of output. Note that dithering employs psycho acoustic effect and inserts intentional noise into wave - but the resulting wave sounds more natural.

Send tracks are another kind of special tracks. You can add or remove them as needed. They are used together with special track DSP device called *Send Device. Send tracks can hold any number of effects just like normal tracks or master track. The difference is that send track does not reproduce those effects if no send device is sending track output from specific track to send track. So, if you add an effect on send track by default you will not hear anything until you add *Send Device on some other, normal track (and set its send value to other than 0).

You can imagine Send tracks as grouped effects - you add any effect you wish on send track. Then you go to, for example, track 1 and insert *Send Device and set its amount value to some percentage i.e. 50%. This means that 50% of track 1 output will be send to Send track you choose in *Send Device. Later on another track 2 you add another Send Device and set it to, for example, 75% - now you have 2 normal tracks sending their output to Send track. Later you decide to modify effects you put on Send track and it automatically affects all tracks that send their output to this Send track.

By using Send tracks you can also optimize CPU usage - if you insert a reverb DSP with same settings on 10 tracks it will be calculated 10 times. If you insert it into a send track it will be calculated once and you can setup several tracks to pass their output to that particular send track.

How to organize track usage

Renoise has an option to rename track names to anything you wish. As you will probably not need more than 8 tracks for drums we recommend that you use the first 8 tracks for drums and give them appropriate names. Track 9 might be bass, then string, piano, whatever. If you don't use all these tracks for drums it is no big deal to Renoise to play the empty tracks, but it might be a great deal for you to know where you can locate your drums, hihats, strings etc. So combine track names with such track usage to locate your tracks quickly.

Hexadecimal numbers

You may have noted that numbers can look weird: they show values like 1C or so. If you know all about hex numbers you can safely skip this part, if not here is a little explanation. It is a little specific thing about all trackers you have to adapt to but you will learn it really quickly and it's not a big deal anyway. The point is that by using Hex numbers you can write bigger numbers with less characters (space saving is important). Otherwise you would have tracks with long numbers which would occupy too much screen width (and you want to see as much tracks as possible). If you have more than a few effect columns the reasons for hex numbers are even more obvious.

All you need to know about hex numbers is that they have base 16 instead of base 10 like "normal" decimal numbers. That means they have 16 different digits. They are 0,1,2,3,4,5,6,7,8,9 and then A,B,C,D,E and F. Here are few examples:

01 hex. = 01 dec
0A hex. = 10 dec (one decimal digit is added after all digits (0-9) are used up)
0F hex. = 15 dec (last hex digit before new one)
10 hex. = 16 dec (here hex adds one digit as it is used all hex digits (0-F) )
1F hex. = 31 dec etc...

Now, this may look intimidating but don't worry - you won't have to even think about such conversions. For example: the volume column volume can take value 00-40 hex. If you want full volume it's 40. Half would be 20. 25% would be 10. Appropriate decimal numbers would be 64, 32 and 16. In this case it is even easier to set appropriate volume in hex value. However, if this all seems too complicated for you, try instrument envelopes and track envelopes where you can draw the same volume change graphically. Or you can try to record a DSP volume slider with right mouse button and Renoise will make the conversion to appropriate hex values automatically.

And finally, don't worry too much about effect columns and hex numbers if you are a beginner. You will learn to use them in time, whereas in the beginning you will probably rarely need them.


Pattern-Context Pad

(5) Pattern-Context Pad
The Pattern-Context Pad helps you with tasks like adding or removing song tracks and handling clipboards.
Screen displays (from top-left to bottom right)

Add/Sub (sample tracks) - Add or remove 2 tracks from the song.
Add/Sub (send tracks) - Add or remove 1 send track from the song.
Clipboards - Selects 1 of the 4 clipboards. If you wish to keep the contents of one clipboard you simply switch to another. When you return to the first clipboard, its contents are preserved.
Pattern - Displays the current pattern number.
Undo/Redo - Multiple undo/redo function for pattern editor. If you make a mistake you can Undo a few steps back. You can reapply an 'undone' change by pressing 'Redo'.
Track - Displays the current track number.
View Vol - Turns on/off the volume column display for the current track.
View Pan - Turns on/off the pan column display for the current track.
Hide if unused - Hides volume and panning columns for the current track if they are unused.
Remote Mapper - Using this option you can assign your external MIDI controllers to any effect slider in Renoise.

Remote Mapper

Remote Mapper is a tool you can use in combination with your external MIDI equipment like MIDI keyboard to control Renoise sliders. In record mode the values get recorded into the automation, otherwise they simply change the current value of the slider support for Notes/Pitch Bend. In learn mode you need to click DSP slider in Renoise and move the external MIDI controller slowly to the left or down.

Channel - Selection of MIDI channel
CC Number/CC Type - Selection of CC number (0-127) and type.

Using Pattern-Context Pad

Press Add or Sub to add or remove 2 tracks. Adding and removing tracks affects the number of tracks displayed in the (4) Pattern Editor and in (2) Scopes / DiskOp. If you need special volume or pan column (compatible with older trackers) you can add them using its checkbox.


Properties Window

(6) Properties Window
The Properties Window is the area where you can select specific windows for specific functions such as track effects, song properties etc. This way you can quickly access the options you need.

General notes about Properties Window

Screen displays (from top-left to bottom right)

Tab buttons - Selection of specific windows. They are: Track DSPs, Instrument Settings, Automation, Advanced Edit, Song Properties, Configs, Pattern Editor, Instrument Editor and Sample Editor.
Status bar (on bottom) - shows information about current program state, various messages and tip of the day.


Track DSPs and Settings

Track DSPs

Track DSP's and their Settings are effects (DSP's) which can be applied to a track. There are plenty of those and their usage requires a bit of experience. We will try to point out the most common usage for each individual effect to present you what you can do with that effect.

Screen displays (from top-left to bottom right)

Available - List of available effects which can be inserted into a track. VST effects will also appear in this list if the VST path was properly configured.
Current - List of effects you added to track. It may look, for example, like on the picture below.
Delete - Deletes the selected effect from the list (and therefore also from the track).
Move Up/Move Down - Rearrange effects in the chain by moving them up/down. The position matters because effects are processed by the order of the viewed chain.
Copy/Paste/Init - Copy, Paste or Initialize the selected effect. You can use copy-paste to copy an effect to another or the same track.

Effect window buttons

X - Delete effect (close window).
< and > - Change the effect order in effect list.
On/Off checkbox - Enable/Disable the effect playback (does not remove the effect from list).
Open Editor - This button appears only for VST effects. It opens the VST's own editor window.
V - This is another button that appears only for VST effects. It selects whether to parse VST effect parameters into Renoise window or not. Sometimes it is more practical to have those parameters in Renoise and sometimes such parameters are more easily tweaked with VST's own editor. In Renoise you can do both.

Using Track DSP's/Settings

To add effects to a track, first go to the track you wish to put the effect in. The effect list changes as you move along the tracks. Now select an effect from the available list and double click on it. The effect window appears. Now you can modify it's effect parameters or add new effects.

You can also automate effects using Track Automation or Pattern Effect Commands. This way you can change effect parameters during playback.

After you've put some effects on the track play a sample on it and hear the result. If it is not OK, modify the effect parameters until it sounds as you intended.

Effects are easy to add and work with, but to master them you will need to experiment and hear some examples. Look for examples at Tutorials. Although Renoise effects are very fast, they can still take a lot of CPU power so take care how much you put in, if your CPU is not very fast.

We will describe the build in Effects in detail now:

Track settings

Track settings are always present. Use them to modify basic track parameters.

Mute - Enable/Disable track playback.
Solo - Play track solo (mutes all other tracks).
Unmute All - Re enables all tracks.
Routing - Choose a device/driver to which track is routed.
Panning - Choose track pan (balance between stereo speakers). 50% is center position.
Volume - Choose track volume.
Width - Choose the amount of track 3D effect (surround).

Gainer

This is very simple effect but it can be of great use for proper sound volume balancing. Use the gainer to amplify the volume of your track or to change the panning. The volume and panning are added to track settings volume and panning.

Volume - Desired volume level from 0% to 400%
Panning - Use it to additionally change panning on track

DC Offset

On normal waveform there are 2 maximums (positive, negative) and the center (zero). On wave which has DC offset in it this center line moved into positive or negative range. If it moved, for example, to positive range this results in reduced dynamics in this positive range (and increased in negative one).

This can occur sometimes on badly sampled waves or after applying certain effects on some waves. When this wave is played, when it ends, it makes a "click" sound because volume instantly jumps from DC offset position to zero. To avoid this defect you can use DC Offset DSP. Also, if you intentionally want to produce this effect for special purposes you can force any DC offset you need.

DC Offset - Forced DC Offset value you require
Auto DC - Automatically adjust DC offset to center value

Gate

A Noise Gate is a special type of expander that can be used to reduce or eliminate noise below a threshold level. A gate is similar device but generally is not used for this purpose (noise elimination) - it is usually used to increase / reduce sensitivity to particular beat levels - i.e. if you use a drum loop you can use it to eliminate certain parts of the loop (that have lower volume) or to make variations to loop groove. Basically, if signal is less than threshold it turns the volume down, but not the signal itself is used. Instead, it uses envelope follower. To control envelope follower use attack, release and hold parameters of the gate device.

Threshold - Level of volume that will be used to trigger gate device
Attack - Adjust envelope follower attack time
Hold - This will define how long the volume will not jump down after the envelope has passed the threshold
Release - Adjust envelope follower release time
Floor Amp. - Defines how low will be the gated volume

Compressor/Limiter

One of the most strongest production tools widely used today. If you have a sound that spreads from very quiet to very loud, a compressor makes quiet sections louder (depending on the amount) and louder sections more quiet. The result is a more balanced volume amplitude but also a reduced dynamic range. When such compressed sound is amplified, the result is sound that sounds much, much louder than original sound. When you listen to today's CDs you will notice that they sound very loud compared to those published many years ago. This is mostly thanks to compression. If used carefully you can increase overall volume without sacrificing much of the sound quality.

A Limiter on the other hand limits maximum volume amplitude to certain value. It is used in radio stations to limit the maximum signal to avoid distortion and also in clubs where music is played very loud to reduce the risk of burning the speakers with various volume amplitudes in various songs.

You will need compression and limiter mostly in post-production after you finish a song, but little extra compression before on instruments to maximize volume can also be useful.

Small window - Shows compression visually.
Threshold - Sensitivity of compression - i.e. minimum amplitude that will be affected by compressor
Ratio - Ratio of compression applied to signal / selection of Limiter mode (move slider to right)
Attack - How fast compression will start
Release - How fast compression will end
Post Gain - Amplification after compression that compensates reduction of peaks and gives final result - amplified sound with less clipping.

Lo-Fi Mat

So you think that your instruments sound too good? Use Lo-Fi Mat to degrade them, add noise, and to make a Lo-Fi sound. This can sound very effective on some drum sounds, voices or, as an additional effect along with distortion.

Bit Crunch - Quantizes the dynamic range of the sample from full 16 bits to only 1 bit.
Quality - Changes the sampling rate from full frequency (usually 44100 Hz) to other, lower values.
Noise - Adds random noise which degrades sound.
Wet Out, Dry Out - Balances between amount of DSP effect applied to track and amount of original sound (without effect).
Interpolation - Improves calculation quality to reduce harmonics (quality value).

Distortion

This effect degrades the sample but gives it "stronger" sound. There are 2 distortion types available: Amp and Fuzz. Amp distorts the sound by over amplifying it. Fuzz thresholds and over amplifies the sound to produce distortion. Distortion is used mostly on guitars and 303 sounds, but also on leads, bassdrums etc. You've heard distorted guitars gazilliun times. This is it. And on 303s it sounds... well... like distorted 303 :-) Listen to the distorted 303 lead in Tutorials to get the idea of how it can sound.

Fuzz, Amp - selects distortion type

Amp mode:

Drive - Amount of distortion.
Filter Freq - Selects the filter frequency if the filter is on.
Filter On/Off - Enable/disable the integrated low pass filter.
Wet Out, Dry Out - Balances between the amount of the DSP effect applied to the track and amount of original sound (without effect).

Fuzz mode:

Threshold - Sensitivity of distortion.
Clamp - Amount (amplitude) to modify.
Gate On/Off - When on, all signals that are below the threshold will be shaped out.

Filter

This is one that Techno and Trance freaks simply love (and not only them). Use this effect on 303 baselines, basses, strings, it sounds even good on Vocal samples. Various values for cutoff frequencies can specially enrich your sound. Look at Tutorials which shows how filtered strings can sound like. Try it with Moog filter, then Lowpass, then Highpass etc.

Cutoff Freq - Changes the frequency range. In Low-pass filter it is the maximal frequency after which the sound will be filtered. In High-pass filter it is the minimal frequency etc.
Resonance - Amount of resonance. Resonance brightens sound.
Inertia - Defines how fast changes in the effect values will be reflected in output, values range is from instant to very slow.
Vel2Cut - Velocity sensitivity of the cutoff parameter.
Vel2Reso - Velocity sensitivity of the resonance parameter.

Filter types (buttons)

Choose the filter type by first selecting the main filter type with the arrow buttons, then click on the button that represents the sub-filter type.

Low-pass - 2 pole Low-pass filter - frequencies that are below threshold will be allowed.
High-pass - 2 pole High-pass filter - frequencies that are above threshold will be allowed.
Band-pass - Band-pass filter - Frequencies that are within threshold range will be allowed and none outside that range.
Band-reject - Band-pass filter -Frequencies that are within threshold range will be removed and the rest will stay intact.
Moog (low-pass/high-pass) - 4 pole Hi/Low-pass filter which emulates moog hardware filter.
Single pole - 1 pole Low-pass filter.
Para EQ - Parametric EQ - Band-pass filter.
Peaking EQ - Shelving EQ filter.
Comp Dist - Distorting Comb filter.
AMod - Frequency modulation.

EQ5 / EQ10

An equalizer is a series of band-pass filters with which you can make certain frequency bands louder or more quiet. It is used for extracting vocals, removing basses or high tones, changing characteristic a sound etc. Here, you can select 5-band or 10-band equalizer which only differ in number of frequency sliders (EQ10 has 10 of them and therefore better control, but in many cases EQ5 which is simpler for controlling and will use less CPU power).

50-15000 Hz sliders - Control amount of presence for each frequency band.

Flanger

Flanging has a very characteristic sound that many people refer to as a "whooshing" sound or a sound similar to the sound of a jet plane flying over head. This effect takes original sound and shifts its start offset by very small amount e.g. 2-3 ms. After that it modifies this shift with period value (like LFO). When such sound is played together with original sound a little dephase will be heard which is actually flanging effect.

Use flanger on strings, 808 snare drums and virtually all lead sounds. This will add a color into boring sounds.

Amount - The larger the amount, the more pronounced the notches in the flanger.
Rate - Speed of the LFO that modulates the delay.
Amplitude - The amplitude of the LFO.
Feedback - Controls the feedback amount of the delay.
Delay - Sets the delay time.

Phaser

Phaser or phase shifter is a special kind of a flanger which filters the original before delaying it.

Upper slider - Dephase amount between the left and right channel in degrees.
Ceiling - How far the notches sweep up in frequency.
Floor - How far the notches sweep down in frequency.
LFO rate - Speed of the LFO that controls the sweep.
Depth - The amplitude of the LFO that controls the sweep.
Feedback - Controls the feedback amount of the delay.

Delay (Echo)

This effect is used so commonly that you cannot imagine one song without this effect. It simply repeats (echoes) the original sound. It will sound very weird if it is not synced with song speed and song beats so use the x1, x2, x3, x4 buttons to automatically match the delay to the appropriate number of pattern lines.

L/R Delay - Time how long will effect wait before it starts repeating left and right channels. It is good to sync this to song speed.
L/R Feedback - How much echo feedback effect will give - only few echoes, or many... If on maximum value it repeats forever.
Track Send - Amount of DSP effect applied to a track.
x1, x2, x3, x4 - Used to sync delay time automatically with length of one, two, three etc. pattern lines. This time will change if you change song speed/BPM.
Multi Tap Amount - Not yet implemented.

Reverb

Reverb is series of echoes, like hundreds and thousands of them. It occurs in large halls, corridors, canyons, open spaces which are between walls or mountains, churches or any other acoustic chambers. Because echoes of original sound are so fast here you cannot even distinguish particular echo but you hear it as another effect which is called "reverb". The sound can be also partially "damped" by room walls cutting off certain frequencies out of original sound. All of these parameters can be controlled with this reverb. The common rule is to put reverb as much to make sound last until it triggers again (for example to extend sound to few pattern lines) but another rule is to put as much reverb as you need it. And final rule is that there are no rules in music.

Room size - Value how fast the echoes will occur, lowest slider value is equivalent to "room" and highest to "hall"
Width - Stereo width
Damp - Amount of frequencies which are absorbed.
Dry Mix - Amount of original non-reverbed sound to mix into effect (or mix only effect without original sound)
Track Send - Amount of DSP effect applied to track.

VST effects

When using VST effects the parameters depend on the VST effect you use. They will fit into the Renoise GUI. Some effects have also an own editor window, which can be opened by clicking on Open Editor button. There are many VST effects available, describing them all is impossible here. You can use VST effects equally as internal DSP effects and mix them all together in any amount you like.

Enable keyboard - If checked and VST window is focused enables you to enter values using the keyboard
Load FXP preset - Loads VST preset files
Load FXB bank - Loads VST bank files
Rand - Randomizes VST plug-in parameters - use it when designing new instruments

Non DSP devices

All devices with an asterisk are non DSP devices (i.e. don't process an audio stream). You insert them like normal DSP effect but they will have no effect on sampled audio.

*LFO Device

This device will give you automatic control of any other device parameter using LFO. LFO parameters are set in LFO device and then applied to destination device which can be any other including VST automation device too and even another LFO device!

Waveform selection - Select the waveform you would like to apply to the target device - sinus, pulse, saw or random.
Dest. effect - Effect order in chain list that holds parameters that will receive this LFO changes.
Parameter - Selection of parameter of destination effect that will receive LFO changes.
Reset - This button restarts LFO from its starting position. You can also apply this as pattern command code too (it is printed when you press button) when you want to trigger it on start of pattern or anywhere else.
Amplitude - Selects affected range of specified target parameter.
Offset - Selects how much LFO center position will be away from effect parameter center position.
Frequency - Speed of LFO oscillation.

*MIDI CC Device

This is a helper device that lets you send, record and automate Controller Changes (CC) of MIDI or VST instruments.

Linked instrument - Select the instrument you want to control.
When a MIDI instrument is chosen, it uses its device/channel and delay settings.
When a VSTi instrument is chosen the CC's will be sent to this VST instrument. Usually all parameters of an VSTi's can be controlled via CC messages. Please read the documentation that comes with the VSTi to find out which parameters can be controlled and which controller number you have to use.

For each of the 4 rows:

"Empty Boxes" - Click on them to enter a name that reminds you what the controller No. actually controls.
CC No. - The CC number of the controller change MIDI message. For example, 1 controls often the modulation.
Slider - The current CC amount - move it (as usual) with the right button to record the value into the pattern and hold down shift to record into a track envelope.

Search for "MIDI specification controller" to get a listing of "default" controller numbers.

*VSTi Automate Device

This device is used to translate VSTi parameters into effect sliders which you can later control using Track Automation - therefore controlling effectively VSTi device. It can control many different VSTi parameters. Mapping of controllers can also be user specified (controller number doesn't need to be numerically identical to VSTi parameter).

Linked instrument - Select the instrument number where you loaded VSTi.
No.01-XX - Assign VSTi device parameter to controller 01-XX. Parameter name appears in box next to it. This way you map specific controller to the specific parameter number.
Slider - Depending on VSTi loaded this slider will show controller effect value. This slider can be controlled by track automation later, therefore controlling actual VSTi parameter.

*Send Device

Send tracks are grouped effects that can receive input from specific tracks depending on this device. In order to hear track output on specific send track you must add this device to the track and select appropriate send track you wish to use and amount to send to the send track.

Mode - Source track that sends output to send track may be included in output or not by setting this option
Amount - Selects track amount that is send to desired send track. Zero setting is "off" setting where no data is sent to the send track.
Receiver - Specifies which send track will receive Amount value

Using reverb and echo effects on vocals and leads

Let me share with you a little secret everyone knows. You may wonder why is it a secret then? Well if you know it but don't notice it is almost like not knowing it. Here it goes: all of the lead instruments and lead vocals must have added reverb and/or echoes. Only a few very special examples are excluded from this rule.

Why is this so important? First, if you ever entered any studio and heard "sound of silence" that is best to describe the acoustic chamber that is acoustically isolated from the outside world noise, you will begin to notice that virtually everything we hear has at least little echo or reverb added to it in normal life. You don't have to be in a large hall or canyon - even the room you are sitting in has a little room reverb: try clapping your hands to hear it. That is why reverbed or echoed leads or vocals sound more natural to the human ear.

Next, if you use lead or vocal without this time-based effects it may sound very, very raw and flat. Once you add an reverb on it, it will sound fuller and much wider. It works like magic - adds stereo to mono sounds, fattens thin sounds - but beware, this can be also a trap! Adding too much reverb will cover all of the other sounds. It is great if you have only a few instruments in your mix, but if you have loads of them, be cool, lower that reverb or nothing else will go out except it. And hearing only one sound going out and covering the rest of sounds can be incredibly boring!

And finally, don't add reverb to basses. These take so much acoustic space that they already are fat and wide. However, sometimes even reverbed basses sound good (not often though).


Instrument Settings

Here you can setup many instrument parameters, including MIDI, samples and VST instruments.

Screen displays (from top-left to bottom right)

The screen is divided into 3 sections: MIDI, Sampler and VST instrument.

MIDI

On/Off - Toggles MIDI-out device playback for current instrument
Device - Selects MIDI-out device for current instrument (multiple out devices are auto detected)
Channel / Bank - Selects one of standard 16 MIDI channels and Bank
Program / Base Note - Selects which patch will be used as instrument and base note for the selected patch. General MIDI (GM) has 128 basic programs (sounds).
Delay - Modifies sync/latency with external and/or internal MIDI devices. Modify this value if your MIDI sounds are not synced correctly.
Duration - Default length of MIDI notes.

Sampler

New Note - Selects New Note Action (NNA) for current sample - what will a new note on a track do to any existing note that is still playing? Possible values are:
Cut - Old note is stopped and replaced with new note. No further processing - e.g. Note Off - is done on the old note.
Note Off - Old note receives OFF and new note starts playback. OFF command processes old note like normal pattern OFF command (i.e. processes envelope, fades out old note etc.)
Continue - Old note playback is continued and new note plays together with it.

Loop - Selects loop type for sample (select loop points in Sample Editor). Loop can be forward, backward or ping-pong (bidirectional).
Base Note - Which keyboard key will be assigned to sample as base (pressing that key will play sample without resampling, at its original pitch).
Beat Sync - When you are using so called "loops" (sampled sequences) if they are faster or slower than your song BPM (speed) you can sync them to appropriate number of pattern lines. Common values for beat lines are 16 or 32 lines (10 or 20 hex.)
Amplify - Sets sample volume to appropriate value. e.g. you might want to have a louder bassdrum kick and set it to 200%. Also your strings may sound too loud so you may set them to 50%. Volume range is from 0% to 400% of original sample volume. If sample is still to quiet even on 400% you might want to normalize (i.e. maximize) volume in the Sample Editor
Fine Tuning - Samples are not always tuned to the exact frequency on which a certain note should be. You can fine-tune your samples to make them sound better. Be sure to fine tune your sounds well or your song will sound terrible if instruments are out of tune with respect to each other.

VST instrument

Instrument - Select the VST instrument you wish to use from a list of detected instruments.
Channel - Select one of 16 channels.
Base Note - Base note for the selected VST instrument.
Program - Select the VST's instrument program (sound) from the list.
Amplify - Volume of the VST instrument as with samples.
Fine Tuning - Fine Tuning as with samples.

Using Instrument Settings

Each time you wish to change how your instrument sounds, you can return to this window. First you can select the MIDI device. For example if you have a synthesizer or sampler connected to your computer you can use it for playback by selecting its programs in the MIDI section of the instrument. The sound quality is then dependent on the quality of your equipment. Remember, MIDI is not audio, it is a data protocol for controlling devices that support it, so DSP effects won't have any influence on your MIDI instruments.

When using samples, often you will only use a single sample per instrument. Usually, the only parameters you need to set up are sample volume and fine tune. Additionally if you use loops, the loop may be synced to different BPM (song speed). You can then change song BPM (which may not be practical if you use loops that have various BPM's). Another way is to sync the loop to the appropriate number of pattern lines using Beat Sync. Just try the values which sounds "good". Most loops are already arranged to repeat themselves smoothly but if they are not, go to Sample Editor and cut extra data (usually silence, or an extra beat or two).

If you are using multi sampled instruments, first select a sample from the (3) Instrument Selector and then setup its base note. Now if you have another sample, select it and setup its base note too. Now go to the Instrument Editor and on the piano keyboard draw (with the mouse) on which key you want to assign each sample. First for sample 0 and then for sample 1 and after that for sample 2 etc. Multi sampled instruments sound more natural because they often will have at least one sample per octave. Most of the time one sample per octave will be enough, only piano or such instruments require more samples per octave (2 samples per octave sounds very good for piano). Each sample split can have its own parameters like volume, fine tune etc.

Finally, you can use a VST instrument. Using these is different with each VST instrument and describing all of them is far beyond scope of this document. However here are few basic guidelines: Assuming that you have correctly setup the VST path in configs VST's should appear in the instrument list. When you select it, a new button Open Editor appears. When you click it you can setup instrument parameters in the VST's own window. If the VST has predefined parameters they will be listed in Renoise. VST's are software based sound generators / modifiers so Renoise's internal DSP effects can be also applied to them.


Track Envelopes

Track Automation

Track envelopes are an advanced and comfortable way to edit track effect changes without the need to enter numbers into the effect columns of the pattern editor. You can edit all DSP parameters of all available effects with these envelopes.

Screen displays (from top-left to bottom right)

Envelope display - Draw envelope points with the mouse. The vertical line shows the current playback position. Use the left mouse button to draw lines and the right button to draw points.
Selectors for envelope type - Select a DSP (or VST) effect and a parameter you wish to automate. After you click Add new envelope a new envelope will be added to list. To remove the envelope from the list, select it and click Delete selected.
Copy/Merge - Copies the selected envelope to clipboard or merges the envelope (adds the envelope from the clipboard as new envelope in list if no envelope of the same type exists, or overwrites an envelope with the same settings).
Clear - resets only the envelope graph (does not delete it from the list)
Flip/Mirror - Mirrors the envelope horizontally or vertically
Humanize - Humanizes envelope - adds small random variations (imperfections) to each envelope point to add a more human-like touch to the parameter changes. For example: when a human is playing drums he never kicks it with exactly the same way and produces every time small volume variations. Use humanize to simulate this effect.
Exp/Rand - Inserts points using an exponential or random scale. If you want a logarithmical envelope, simply mirror the exponential envelope. Fade in or outs sound much better in many cases if they are done exponentially/logarithmically (but not in all cases).
Play Mode - Changes the display for the envelope (points, lines or curve). Also changes the playback characteristic of the envelope. If in point mode, each point will be played only when it is reached. If in line/curve mode, Renoise will interpolate the values between points. If in curve mode transitions will follow the curve and therefore will be smoother.
Preset buttons - Store or recall envelope with left or right mouse button click.
< and > - Scroll the envelope to the left or right.

Using Track Envelopes

Envelopes are graphically displayed variations of track parameters such as volume, pan etc. If you want to do, for example, a simple snare fade-in the simplest way is to fill each pattern line with snare and then add a volume envelope that will change the volume (like on the picture above).

You can use envelopes for any DSP effect and you can have multiple envelopes at the same time but never more than one envelope for one parameter.

As you can see envelopes are very easy to learn but they are also hard to master. Using them you will make automation of parameter changes in no time. But you will need to experiment with them to hear what effect they will give. Track Envelopes can replace track column effects (numbers in pattern) so use them to produce more effects or simpler effect transitions.

There is an example for track envelopes in Tutorials. Listen to examples that use envelopes and try to add/remove envelopes to hear the effects.


Advanced Edit

Advanced Edit contains many options for editing that don't fit in any standard editing operations but will be of use to power-users and more experienced users. They help to accomplish certain tasks quickly.

Screen displays (from top-left to bottom right)

Zap - Deletes All (starts new song), only Instruments, only Patterns data, or samples and patterns that are not used and played in the song but that occupy unnecessary space (this will make the final song file smaller).

Masking & Transforming - If you want to do operations with pattern that will not affect all pattern data but only specific data you choose, you can do this here. For example, you might want to copy-paste only note data but leave effect columns unchanged. For these kind of operations use Masking & Transforming in the following fashion:

First select the range of operation:

Block/Pattern/Track/Column - Select what you want to operate upon - marked block, pattern, track or column.
Checkboxes (mask) - Here you select what you want to include or exclude from the operation you are about to perform: checked data will be included, and unchecked will not. Use this as a filter: if you want, for example, to clear only effect data - check only effect values and click Clear.

Now select what you want to do (you can also use keyboard shortcuts for this):

Mirror At/Note - Mirrors notes relative to the selected "center" note - the more a note is away from the selected "center" note the more it will be mirrored to the other side. For example: If you select the center note to be C-4 and have notes C-4, C#4, D-4 mirror will transform them into C-4, B-3, A#3. If you look at keys on a keyboard A#3 is 2 half notes away from C-4 (just like D-4 was too but it is on other side of the C-4 note). So imagine C-4 (or whatever note you selected as center) as the mirroring axis for the other notes that are on the left or right side of it.
Transpose - Raises or lowers notes by one half note or a whole octave (12 half notes)
Humanize - Humanizes (adds small imperfections that make instruments sound more like they are being played by a human) on volume, pan and effect columns.
Interpolate - Automatically fills missing values between 2 values that you put in the pattern. If you put, for example, volume at minimum value at the start of a block and maximum at the end, this command will insert values in between (i.e. volume values) using linear (constant difference between two values), logarithmic or exponential functions.
Transparent - Toggles if the mask (checkboxes) is used or not. If transparent is enabled only checked items are affected, and if it is disabled all items are affected regardless of check state.

Clear/Copy/Paste - Clears, copies or pastes block, pattern or track.
Flip - Flips (mirrors tops with bottoms, i.e. vertically) pattern data.
Shrink - Compresses pattern data (removes every second line). Use it for compressing pattern data that has too many empty lines. (note: halve the BPM to keep the same speed of playback after shrinking).
Expand - Inverse of shrink - adds one empty line between each pattern line. Use it for expanding pattern data when you want to insert new data between existing data (double the BPM to keep the same speed of playback after expanding).

Track settings Copy/Paste/Init/Save - Copy, Paste or Initialize all Track DSP's and settings like track volume, pan or width. Use it to apply the same setting to another track. Save option saves track settings to file so you can save your favorite effect list and apply it to another song.

Instrument Transforming - These operations are song wide. All of those operations require one or two instruments to be selected (depending on the action). See (3) Instrument selector how to select source and target Instruments.

Safe mode - This will prevent note-clipping when using the transpose functions. Say, if you transpose some notes containing a e-9 and a c-7 by 12 semitones (by using 12 times the +1 transpose) up, c-7 would get c-8 and e-9 would get b-9. To prevent note-clipping we implemented this feature, so if one note would runs out of range in your whole song, the transpose action won't be executed.
Transpose - Will transpose the current selected Instrument on all tracks in the whole song.
Swap - Selected source and target instruments will be swapped in the whole song. The instrument itself won't be touched, this alters the instrument assignments in all patterns.
Remap - Similar to swap, except the remapping will be done in one direction only. All notes which match the selected source instrument will be remapped to the selected destination instrument.
Delete - This will delete all instrument and Instrument-Effect data matching the selected Instrument in the whole song on all tracks.

Using Advanced Edit

These edit options are mostly concentrated on speeding up and working with standard pattern effect commands (numbers). However if you use track envelopes there are also a few options to get things done more easily.

There are keyboard shortcuts for many of these functions so look at them.


Song Properties

Properties of a song...

Screen displays (from top-left to bottom right)

More song infos - Detailed information about song
09/Pitch mode - 09 effect and pitch works different on Amiga/FastTracker2 modules and Renoise songs. This setting is for improving compatibility with those modules. In modules parameter for 09 command was absolute sample offset multiplied by 256 - as samples were only 64kb and 8-bit it was enough. In Renoise this parameter works more like percentage - 0900 is start of sample, 09FF is end.
Title/Produced By/Style - Insert your own song information here.
Groove Settings - Amount of shuffle effect applied to whole song. Shuffle effect plays pattern lines in irregular time intervals - how much this will vary will depend on these settings. 0&1 settings are for first and second line of pattern, 2&3 for third and fourth, etc. After line 7 and 8 shuffle restarts at setting 0&1. You can turn Groove on and off and recall presets with left mouse button click or store them with right mouse button.


Configs

Configs is used for setting general program configurations.

GUI

Hide 0's in effect columns - Enables/disables display of unused effect commands.
Framework - Enables/disables drawing of frames in pattern editor.
Position numbers format - Choice of hexadecimal or decimal pattern line numbers.
Highlight every x lines - How often line highlighting will be displayed. 4 is recommended for standard 4/4 measure.
Pattern font - Choice of built in fonts.
Color settings - Choice of colors. Select the component whose color you wish to change and drag the Red/Green/Blue sliders to change color.
Save theme - Stores modified color/font themes to disk so you can load it later or share with friends. Type the name of the theme in the text box next to this button.

Knob shade - Amount of 3D shading effect (on buttons).
Body shade - Amount of 3D shading effect (on panels).
Antialias - Amount of smoothing of font edges.

Full Screen Resolution - Resolution Renoise will use when switched to full screen mode.

MIDI

MIDI Input - MIDI In device/driver for devices like MIDI keyboards etc. Devices are auto detected.
Rec Note Off/Velocity/Prg Change/Controller - When playing with the MIDI keyboard will Renoise register key release, key velocity, program change or controller (sliders etc.) movement that your MIDI In device (keyboard) sends

Midi Clock slave In Device - MIDI In device/driver that will receive MIDI clock sync
Midi Clock slave Offset - Time offset in ms, between your MIDI clock master and Renoise (acting as slave). MIDI messages are sent out with an undefined delay and will be received with an undefined delay. With this offset you can compensate this delay. To figure out which offset is needed, simply record some kind of a metronome-pattern (ticks, bassdrum) on your master MIDI device and use the same kind of metronome in a Renoise pattern. If you hear now some amount of delay, adjust the offset with this slider to fix this.
Midi Clock slave Thru - MIDI clock messages that are received on the above specified In device can be automatically forwarded to an Out device. This is useful when slaving more than one hardware sequencer

Midi Clock master Out Device - MIDI Out device/driver that will send out the MIDI clock master messages
Midi Clock master Offset - Defines a delay which will be used, when Renoise is sending master clock MIDI signal. Useful when you want to compensate your hardware's delay and the slave cannot do this for you.
Midi Clock master Clock - Toggle if you want Renoise to send master clock MIDI messages.
Midi clock master Start/Stop - If enabled, Renoise will send midi start/stop messages to other devices. Use this, if you have a slave Sequencer.
Midi clock master SPP - Toggle if you want to send out Song Position Pointer when moving song position in Renoise
Midi clock master MMC - Toggle use of MMC (MIDI Machine Control). MMC uses System Exclusive messages - several specific SysEx messages were defined in order to implement MMC to send messages such as start, stop or continue to MIDI devices.

Audio

Auto play samples after loading - After you load a sample will it be played or not
Auto play song after loading - After you load a song will it be played or not
Auto save backup - This is a safety option - after a selected number of minutes Renoise will automatically save your song so in case something crashes you always have a recent backup. Also, the song is automatically saved if Renoise itself crashes regardless of this option state.
CPU usage - Provides a way to optimize CPU usage on slower CPUs as program can be very CPU intensive. If you have a slower machine you can lower this value but beware, it will lower audio quality! Check Requirements for other CPU optimizations.

Device type / device - Direct Sound or ASIO. If using ASIO your sound card must support it and your drivers must be properly installed. If you don't have ASIO, select Direct Sound which is not as good as ASIO but works on most audio cards. Latest Direct-X must be installed correctly.
Out latency / Sample rate - Latency should be as small as possible to give a smaller "gap" before sounds start playing when a key is pressed. However if it is too small and your CPU or operating system cannot handle it, it may sound "broken" and you will have to increase the latency. Frequency also decreases CPU usage but don't go below 22050 Hz because sound quality drops rapidly. However all rates supported by your audio card will be listed here. 44100 is CD quality sound, 48000 is DAT (digital audio tape) quality. If you wish very low latency times solution is ASIO and/or fast CPU.

Processing buffer size - Using lower values will give you (especially with ASIO) lower audio latencies: Use at least your audio latency/2 as process buffer size when using ASIO to get a more stable and click free output. A smaller process buffer will produce more CPU overhead, so you should just try out settings that are the best for your configuration. We recommend the setting of 128 samples for ASIO and the setting of 512 samples for the Direct Sound.

Misc (miscellaneous options)

Show track names in scopes - Select what will be displayed on track scopes - track names or track numbers.
VST path - Click this button to choose VST path.
Space Rec./Stop mode - In FastTracker2 mode Space toggles record mode and stops song playback. In Renoise mode space only toggles playback of song (use ESC to toggle edit/record mode in both modes).

Keyboard/Mouse

Shortcut names - Select function you want to edit keyboard shortcut for.
Current assignment - Which keys combination is currently assigned to selected function.
New assignment - Press keys here to make new assignment. If this combination is already assigned to other function it will be notified in window below.
Assign - Press to assign shortcut you selected above.

Double click sensitivity in ms - How long will it take in milliseconds to sense a mouse double click.
Left repeat rate in ms - How long to hold the left mouse button until it starts retriggering.
Right repeat rate in ms - How long to hold the right mouse button until it starts retriggering.
Repeat rate in ms - How long to hold keyboard keys until they start retriggering.


Instrument Editor

This is a powerful way to transform an ordinary sample into a real instrument. Envelopes control, various sample parameters/effects over a time period while keyboard splits can define which keys will be assigned to which sample.

Screen displays (from top-left to bottom right)

On the left there is Volume/Pan/Pitch envelope. On the right there is the filter envelope. The keyboard at the bottom is used for defining sample key splits.

Volume/Pan/Pitch envelope

On/Off (Volume/Panning/Pitch) - Selects and enables/disables specific envelope.
Envelope type - Selects between linear or curved envelope.
Length - How long the selected envelope will last (in ticks - 6 ticks are one pattern line)
Envelope display - Draw envelope with left or right mouse buttons. Left draws lines, right draws points.
Presets - Select predefined envelopes or define new ones (left mouse to recall, right to store envelope on preset button)
Init/Flip/Mirror - Initializes envelope to default, or mirrors it horizontally (Flip) or vertically (Mirror)
Loop - Select the loop type which will play on the current envelope. When you select loop type, Start and End markers appear and you can move them with the mouse to set loop points.
Sustain - When enabled the sustain marker appears which you can move with the mouse to set the sustain point. Sustain is the point where envelope playback is paused until key release (note off).
FadeOut - If envelope loop is set, when you trigger a note off this value is the speed of the fadeout (to silence). Smaller values means longer fadeouts.
LFO/Dephase/Freq/Amp - LFO parameters. Select LFO type (basic waveforms like sinus, triangle, random) and control it with Dephase/Freq/Amp parameters. Also look at the line display between the 2 LFO's to see how fast the LFO is modulating the sound. If the second LFO is turned on it will modify the first and the result will be the mixed LFO value. LFO's are individual for each envelope type! LFO's are a great way to produce volume/pan/pitch oscillations without drawing envelopes.

Filter envelope

Most of the parameters are the same as with Volume envelope. Here are the only differences:

Cutoff/Reso/Filter type - Select Cutoff, Resonance envelope and type of filter applied to filter envelope.
AutoAmp - Simple envelope follower that controls the cutoff / resonance amounts dynamically
Attack - Sets how fast the envelope reacts on higher peak values from the audio signal
Release - Sets how fast the envelope will fall down when the peak of the audio signal is less than the envelopes amount
Amount - Define the intensity with which the envelope controls the cutoff / resonance amount. 127 means full control over the cutoff / resonance

Split sample keyboard

If you have more than one sample in an instrument it is here that you can define which keys they will be assigned to. Multi sampled instruments sound more natural and you can also create drum kits with this keyboard.

Selected split's base note - Which keyboard key will be assigned to sample as base (pressing that key will play sample without resampling, at its original pitch).
Transpose all splits - Changes the base note for all splits.
Set all to current split - Fills the keyboard with the current split number (erases other numbers).
Generate drum kit map - Spreads splits across keyboard keys so that one key receives one split number. This way you can generate drum kits (instruments with many drum samples, different drum on each different key). The advantage of setting up drum kits in this way is that you need only one instrument for a whole set of drums.

To position samples across keyboard keys, select the first sample split and draw with mouse on keyboard where you want it to be located (it will draw 0's). Then select the second sample and draw it where you want this one (it will draw 1's). After you've drawn key splits for all samples test it by playing on your real keyboard (or PC virtual piano keyboard).

Using the Instrument Editor

A sample without envelopes is just a sample. A sample with envelopes and key splits is an instrument.

Volume envelope - If you take a basic string loop, it will just loop without any exciting changes. Now if you add (at least) a volume envelope you can make it fade-in on start and fade out on end (while sample loop is played constantly). Other instruments, basses for example, could have short fade in and longer fade out times using a volume envelope. With leads, you may want to hold a certain volume for a pitch change - in this case use Loop and/or Sustain points to hold envelope playback at certain points. Your lead will follow the volume envelope until loop or sustain points are reached and then either loop or pause playback of the envelope. After note off, it will either continue with envelope playback (if you selected sustain) or fade out (loop) with FadeOut value.

Panning envelope - You can also do stereo pans across 2 speakers. Effect will be mostly audible on headphones but also on speakers it will give the sound more space. You can also do left-right "swish's" or such effects with pan envelopes.

Pitch envelope - is used to give sound interesting pitch slide. It may start at octave up and slide quickly to lower octave as an example. To make a simple vibrato effect you can use Loop points and draw a sinus envelope, but for this purpose it is much easier with an LFO where you don't even need a pitch envelope (or you can use it for other purposes).

Filter envelope - The filter envelope is very effective on 303 slides or strings. Use it also to create interesting leads - it may, for example, change your lead from sounding dull to sounding sharp.

LFO's - Can be used to replace certain envelope effects. In certain cases you can do the whole thing only by using volume/pan/pitch LFO even without turning the graphical envelope on. LFO modulates sound but to hear the effect LFO gives it is best to start one and play with LFO waveforms, amplitude and frequency. You can also use an LFO together with an envelope for some special effects.

Split keyboard - Here is an example how to create multi sampled piano - assuming you have one sample for each C-key in each octave, load all of these as separate samples. Now select the first one and draw where you want to put it on the keyboard. Do the same for the second but one octave up. Do it for all samples you have. Setup a base note for each of them correctly! When you play this instrument now it will automatically jump to another sample when one sample's boundary has been reached. This results in a very natural sounding piano.

Envelopes are very powerful tools which are simple to learn but for a better understanding of them and how you can use them effectively you need to hear some examples. Therefore we prepared a few. For examples of using Instrument Envelopes load and play Tutorials included in songs folder. Then try turning off envelope and hear the difference. Play with them or learn them from other songs too.


Sample Editor

Use the Sample Editor to modify your samples destructive till they fit your needs.

Screen displays (from top-left to bottom right)

Functions operate either on selected range or on the full sample range (if nothing is selected).

VZoom In/Out - Zooms (magnifies) sample vertically (zooms sample dynamics)
View All - Resets all zooming, so the whole sample becomes visible again.
Zoom In/Out - Zooms the sample horizontally
Select All/Unselect - Selects the entire sample (e.g. for further processing) or removes a previous selection.
Select Loop - Selects the range between the loop markers
Cut, Copy, Paste, Trim - Cut/Copy/Paste samples from and to clipboard. Trim crops sample - only marked part is preserved and the rest outside the marked range is removed
Half - Reduces the sample's volume to 50%
Maximize - Maximizes the sample's volume without clipping
DC Adjust - Adjust the vertical position of the sample to match the average symmetry (zero) line
Fade In/Out - Fades from silence to actual sample volume or fades to silence within the marked range
XFade - Mixes the current sample with itself after reversing it.. This is like the Amiga trackers XFade - you can use it if you have a short sample and wish to make a better loop with smoother loop points
Reverse - Reverses the selected range - plays it backwards. (note: if you wish to play sample backwards you can also do it without reversing it in sample editor by using an effect command in (4) Pattern Editor)
XReverse - Half of sample is played forwards and another half backwards with smooth transition between. This can be used for example to create smooth looped samples from short string sounds etc.
Copy, Xchange, Mix - You must use these buttons combined with source and destination selection of sample in (3) Instrument selector. After you select a source and destination sample you can mix the source with the destination sample or copy or exchange them.
FFT Pitcher - Used for fine tuning your samples without modifying the overall length. Sample data will be re-calculated and quality loss is very possible.
Process TrackFx - Applies the track effects of the current selected track to the selected sample range.
Smooth - If there are some sharp changes in sample data this option makes it sound smoother. This may remove some noises but this will also cut higher frequencies.
Play/Stop/Note - Play a marked portion of sample you are editing. Note defines the pitch to play.
Offset values - This is a helper for the 09xx pattern effect command. Shows the values that you have to insert to play the current cursor position or selection.
Set LS/LE - Sets the loop start/end points for the loop playback at the current cursor or selection's range start/end.
Loop Type selection - Select the loop type. When you select a loop type, the loop start/end markers appear.
Loop Fine Editor - The fine editor helps you setting correct loop points by displaying the overlapped areas next to each other. If the sample values at loop the start/end points are different you will hear clicks.
Free buffer - Clears the sample copy buffer (clipboard).

Holding the left mouse button over the display while moving the mouse marks a range. If you wish to mark a wider range but don't want to loose the old selection borders, you can extend your selection by marking them with right mouse button. If the sample display is zoomed and you want to select something from outside the current display, simply move the mouse to the sample borders and the sample display will start to scroll in that direction. Press Shift to scroll faster and Alt to Zoom instead of scrolling.

To navigate trough the selection use the scroll bar - drag it by holding its middle part. If you drag the bar by holding its edges you can also zoom the display.

Using the sample editor

Once you load your sample and it doesn't sound the way it should be, you can edit it using above options.

The most used option is sample loop. With a loop you can make a short sample last forever. To make a loop simply select a loop type and when loop cursors appear, drag them to the appropriate position. If it doesn't sound right and you hear clicks, you can readjust the loop points by using the Loop Fine Editor or try the XFade option which mirrors the left and right part of the sample. Further you can enter the sample editor to Cut, Copy or Paste some parts of the sample that are unnecessary or add new parts into it.


Pattern Effects
When you enter an effect number in the pattern editor, a reference of the given effect appears in program status bar. You don't have to remember any of these effects - simply move the effect slider with your right mouse button and the effect values are being recorded automatically into the current effect row. Holding down left shift button while moving the effect slider with your right mouse button will record values to the Track Envelopes.

Effect row assignments

Insert desired effect value instead of x or y.

00xy Arpeggio (x=base note offset 1, y=base note offset 2)
01xx Pitch slide up (speed 00-FF)
02xx Pitch slide down (speed 00-FF)
03xx Set volume (volume 00-FF)
04xy Volume slicer (x=sliced volume - 0 (silent) - F (full volume), y=tick when to begin slicing 0-5)
05xx Glide to note (speed 00-FF)
06xx Volume slide up (speed 00-64) - 64 x 0601 slides from silence to full volume
07xx Volume slide down (speed 00-64) - 64 x 0701 slides from full volume to silence
08xx Set panning (position 00-FF) - 80=Center
09xx Sample Offset (offset position 00-FF) - 00=sample start, FF=sample end
0Axx Surround width (width 00-FF)
0Bxx Play Sample backwards (00=backward; 01=play Sample forward at any position, not only when triggering) - also B0 and B1 in panning row
0Cxx Set Track Volume (volume 00-FF)
0Dxx Delay Note xx ticks (ticks 00-05) - also Dx in panning row
0Exy Retrigger Note every xy Ticks (y=ticks 0-5) - also Ex in panning row)

The first digit sets the volume of the retriggered sample. Value effects on volume for each retrig are:

0 | No change
1 | -1
2 | -2
3 | -4
4 | -8
5 | -16
6 | *2/3
7 | *1/2
8 | No change
9 | +1
A | +2
B | +4
C | +8
D | +16
E | *3/2
F | *2

0Fxy Vibrato (x=speed 0-F, y=depth 0-F)

F0xx Set BPM (BPM 20-FF)
F1xx Set Speed (speed 01-0A)
F2xx Set Track Routing (00-available stereo channels)
FB00 Pattern Break
FCxx Set Master Volume (volume 00-FF)
FDxx Delay Pattern xx ticks (ticks 00-05)
FF00 Stop all Notes and Effects

10xx-EFxx = Effects

Once you add an Effect to track it has a certain order in the Effect list. The Effect Number depends on that order.

10xx-EFxx Effects in Effect list

For example:

1004 Effect 1 Parameter 1=4
1103 Effect 1 Parameter 2=3
2007 Effect 2 Parameter 1=7 ... etc.

To bypass an effect in Effect list (turn in on/off):

xF00 Turn effect x on (x=effect number in list 1-E)
xF01 Turn effect x off (bypass=on) (x=effect number in list 1-E)

Volume row

00-40 Set volume
9x Volume slide up (x=speed 0-F)
Ax Volume slide down (x=speed 0-F)
Fx Note cut after x ticks (x=ticks 0-5)

 Panning row

00-80 Set panning position (position 00=Left, 40=Center, 80=Right)
9x Panning slide left (x=speed 0-F)
Ax Panning slide right (x=speed 0-F)
Bx Play sample backward (x=0-backwards; 1-forward at any position)
Dx Delay note (x=ticks 0-5)
Ex Retrigger note (x=ticks 0-5)

Panning row MIDI / VSTi commands

90 Send CC change
91 Pitch bend
92 Program change


Mouse Usage
Left mouse button

Click on buttons
Changes values by 1 (up/down)
Move sliders
Controls without slider - Hold button and move mouse up/down on the value to change it (smaller up-down arrow appears next to the mouse pointer when the mouse is moving over these controls)

Sample Editor
Marks range on sample display (drag mouse over sample display while holding the mouse button)
Zooms sample display (if you click on the left or right side of the slider)
When you move mouse to any sample edge (left or right edge of screen) while marking it will start zooming the sample in that direction
Double clicking on the scroll bar will zoom in
Double clicking (left or right) on the sample display will mark whole selection

Position Editor
On (1) Position editor (sequencer) clicking on position area (numbers on left) jumps to that position. On assigned pattern area (numbers on right) clicking on number digits increases assigned pattern by 1 or hex.10. (16 dec.). See pattern editor for hexadecimal numbers explanation. Click right button to decrease values.

Instrument Selector
On (3) Instrument selector if you click on a sample name that will select sample as the source. If clicked on number next to sample name selects that sample number as the destination sample.
Double click on a sample (split) will open the sample editor
Double click on a instrument will open the VST's own editor window if the instrument is a VST instrument else it will open the Instrument Settings and Instrument Editor

Track Scopes
Left click on non-named area disables (mutes) track or plays the track solo (with right button)
Left/right click on the track name area will jump to that track

Disk Op
Click loads file or changes dir
Recalls favorite directory (1,2,3,4)

Pattern Editor
Holding a mouse button and dragging mouse will mark a block
Double click track area mutes the track. Double click again to unmute. Track will not be played in the mix while muted.
Click on Track 01...02...03... name area allows you to rename Track XX to your needs (for example. Strings, Piano etc.)
Clicking on arrow [image] will expand track note columns or track effect columns (other arrow). Clicking on arrow in other direction will reduce this expanded view to normal again
Clicking on the envelope sign [image] (only visible if an track envelope exists) opens Track Envelopes
When using a multi I/O sound card - click on M1234 to change routing destination

Envelope Editors
Draw lines (erases existing points)
Recall presets by clicking on the preset buttons

Right mouse button

Right button serves mainly as acceleration button.

On most buttons adds / subtracts 16 dec. (10 hex.) to current value instead of 1. See pattern editor for hex numbers explanation. However on (1) Position editor it subtracts assigned pattern number by 1 or hex.10 (depending on which digit you have clicked).
Moving sliders in Track DSP's with right mouse button will record them live to pattern effect column
Moving sliders in Track DSP's with right mouse button and holding left shift will record them to the Track Envelopes (adds new envelope if there is none of that type)
Clicking on name of sample or instrument renames them

Sample Editor
Extends mark range without erasing old range
Double clicking on scroll bar will zoom out

Track Scopes
Right click plays track solo (muting all other tracks). Click again on the same track to unmute all the tracks. Press right button on another track to play that track solo

Disk Op
Stores current directory on favorites buttons

Pattern Editor
Holding a mouse button down and dragging mouse will mark a block
Double click - select track to play solo (mutes all other tracks). Double click again to enable all tracks
Clicking on track selects track - moving mouse up/down while button is down scrolls through pattern
CTRL right click on a note selects the instrument that is being used by the note

Envelope Editors
Draw points rather than lines
Store presets by clicking on the preset buttons

Mouse wheel

Pattern Editor
Scroll pattern up/down

Sample Editor
Scrolls sample view to the left/right when zoomed in
Hold down Left CTRL to zoom the sample view with the mouse wheel

Position Editor
Sets current position up/down

Track Scopes
Jumps to next/previous track

Instrument Selector
Selects the next/previous sample or instrument

Holding mouse buttons for a while will start key repeat mouse buttons.


Keyboard Shortcuts
Keyboard shortcuts are user definable: To define your own key set go to (6) Properties window / Configs / Keyboard. Keyboard definition is stored as KeyboardMapping.xml file in program folder. Default keys are listed below.

Global |
Quit Application | Left Alt + Escape
Toggle Full Screen Windowed Mode | Left Alt + Return
Toggle Instrument Editor | F1
Toggle Sample Editor | F2
Toggle Scopes Diskop | F3
Toggle Track DSPs Instrument Edit | F4
Show Track Envelopes | F5
Show Advanced Edit | F6
Show Song Properties | F7
Show Configs | F8
Undo | Left CTRL + Z
Redo | Left CTRL + Y
Quick Save Song | Left CTRL + S
Toggle Play And Select Loop Block | Numeric Keypad Enter
Record Song | Right Shift
Record Pattern | Left Shift + Right Shift
Play Current Line | Return
Play Song | Right CTRL
Play Pattern | Right Menu
Play Song Without Restarting | Left Shift + Right CTRL
Play Pattern Without Restarting | Left Shift + Right Menu
Toggle Stop Play Edit Mode | Space
Pause Continue | Left Shift + Apps
Play From Cursor | Apps
Panic | (unassigned)
Note Off | Capital
Smart Note Off | Left Shift + Capital
Mute Current Track | Backslash
Solo Current Track | Left Shift + Backslash
Increase Virtual Keyboard Octave | Multiply
Decrease Virtual Keyboard Octave | Divide
Set Virtual Keyboard Octave To 0 | (unassigned)
Set Virtual Keyboard Octave To 1 | (unassigned)
Set Virtual Keyboard Octave To 2 | (unassigned)
Set Virtual Keyboard Octave To 3 | (unassigned)
Set Virtual Keyboard Octave To 4 | (unassigned)
Set Virtual Keyboard Octave To 5 | (unassigned)
Set Virtual Keyboard Octave To 6 | (unassigned)
Set Virtual Keyboard Octave To 7 | (unassigned)
Set Virtual Keyboard Octave To 8 | (unassigned)
Increase Step Add | Left CTRL + Equals
Decrease Step Add | Left CTRL + Minus
Set Step Add To 0-9 | Left CTRL + 0-9
Toggle Follow Pattern | Scroll
Toggle Key Jazz | Grave
Pattern Editor |
Next Column | Right
Previous Column | Left
Previous Row | Up
Next Row | Down
Jump To Next Track | TAB
Jump To Previous Track | Left Shift + TAB
Jump 16 Rows Up | Prior
Jump 16 Rows Down | Next
Jump 16 Rows Down Without Stopping At Pattern Borders | Left Shift + Prior
Jump 16 Rows Up Without Stopping At Pattern Borders | Left Shift + Next
Jump To First Row | Home
Jump To Last Row | End
Delete Current Note | Delete
Insert New Row | Insert
Delete Current Row | Back
Clear Whole Row | Left Alt + Delete
Insert New Row In Column | Left Shift + Left CTRL + Insert
Delete Current Row In Column | Left Shift + Left CTRL + Back
Decrease Number Of Note Columns | Left Shift + Left CTRL + Left
Increase Number Of Note Columns | Left Shift + Left CTRL + Right
Capture Instrument | Left Shift + Return
Toggle View Panning Column | Left Shift + Left CTRL + P
Toggle View Volume | Left Shift + Left CTRL + V
Toggle Edit Mode | Escape
Jump To Row 0 | F9
Jump To Row 16 | F10
Jump To Row 32 | F11
Jump To Row 48 | F12
Select Previous Block For Loop Play | Left CTRL + Subtract
Select Next Block For Loop Play | Left CTRL + Add
Mark Track In Loop Range | Left Alt + Q
Mark Pattern In Loop Range | Left Alt + W
Mark Track Above Current Position | Left Alt + A
Mark Track Below Current Position | Left Alt + Y
Mark Pattern Above Current Position | Left Alt + S
Mark Pattern Below Current Position | Left Alt + X
Pattern Transpose Down | Left CTRL + F1
Pattern Transpose Up | Left CTRL + F2
Pattern Clear And Copy | Left CTRL + F3
Pattern Copy | Left CTRL + F4
Pattern Paste | Left CTRL + F5
Pattern Flip | Left CTRL + F6
Pattern Randomize | Left CTRL + F7
Track Transpose Down | Left Shift + F1
Track Transpose Up | Left Shift + F2
Track Clear And Copy | Left Shift + F3
Track Copy | Left Shift + F4
Track Paste | Left Shift + F5
Track Flip | Left Shift + F6
Track Randomize | Left Shift + F7
Block Transpose Down | Left Alt + F1
Block Transpose Up | Left Alt + F2
Block Clear And Copy | Left Alt + F3
Block Clear And Copy | Left CTRL + X
Block Copy | Left Alt + F4
Block Copy | Left CTRL + C
Block Paste | Left Alt + F5
Block Paste | Left CTRL + V
Block Paste Continuously | Control + P
Block Flip | Left Alt + F6
Block Flip | Left CTRL + F
Block Randomize | Left Alt + F7
Block Randomize | Left CTRL + R
Block Interpolate Linear | Left CTRL + I
Block Interpolate Logarithmic | Left CTRL + L
Block Humanize | Left CTRL + H
Column Transpose Down | Left Shift + Left CTRL + F1
Column Transpose Up | Left Shift + Left CTRL + F2
Column Clear And Copy | Left Shift + Left CTRL + F3
Column Copy | Left Shift + Left CTRL + F4
Column Paste | Left Shift + Left CTRL + F5
Column Flip | Left Shift + Left CTRL + F6
Column Randomize | Left Shift + Left CTRL + F7
Set Selection Start | Left CTRL + B
Set Selection End | Left CTRL + E
Sample Editor |
Abort File Loading | Escape
Select Loop | Left CTRL + L
Select All | Left CTRL + A
Unselect | Left CTRL + U
Paste | Left CTRL + V
Fade Out Logarithmic | Left Shift + Left CTRL + O
Fade Out Linear | Left CTRL + O
Fade In Logarithmic | Left Shift + Left CTRL + I
Fade In Linear | Left CTRL + I
DC Adjust | Left CTRL + D
Maximize | Left CTRL + M
Half Volume | Left CTRL + H
X-Fade | Left CTRL + F
Reverse | Left CTRL + R
Trim | Left CTRL + T
Copy | Left CTRL + C
Cut And Copy | Left CTRL + X
Instrument Box |
Select Previous Instrument | Left Shift + Up
Select Next Instrument | Left Shift + Down
Select Previous Instrument | Subtract
Select Next Instrument | Add
Switch To Next Page | Left Shift + Right
Switch To Previous Page | Left Shift + Left
Select First Instrument | Left Shift + Home
Toggle Prehear Instruments | Numeric Keypad Comma
Select Last Instrument | Left Shift + End
Select 1st - 8th Instrument In Page | Numpad 1-8
Sequencer |
Increase Current Pattern Number | Left CTRL + Right
Decrease Current Pattern Number | Left CTRL + Left
Jump To Previous Pos | Left CTRL + Up
Jump To Next Pos | Left CTRL + Down
Jump To Start | Left CTRL + Home
Jump To End | Left CTRL + End
Jump One Page Up | Left CTRL + Prior
Jump One Page Down | Left CTRL + Next
Insert Pos | Left CTRL + Insert
Delete Pos | Left CTRL + Delete
Sort Patterns | Left CTRL + F12
Disk Browser |
Select Previous File Or Dir | Left Alt + Left CTRL + Up
Select Next File Or Dir | Left Alt + Left CTRL + Down
Load Selected File Or Dir | Left Alt + Left CTRL + Right
Change To Root | Left Alt + Left CTRL + Left
Go To First Entry | Left Alt + Left CTRL + Home
Go To Last Entry | Left Alt + Left CTRL + End
Page Up | Left Alt + Left CTRL + Prior
Page Down | Left Alt + Left CTRL + Next
Recall Favorites 1-4 | Left Alt + Left CTRL + 1-4
Switch To Drive A-Z | Left Alt + Left CTRL + A-Z

Message boxes shortcuts

y - Yes
n - No
c - Cancel

Space Bar Modes

There are two modes for the space bar which can be set in the configs/misc tab:

FT2 mode - Spacebar works exactly like in FastTracker2 (stop always disables recording, when stopped it toggles the edit mode).
Renoise mode - Spacebar only stops when the song/pattern is playing, without changing the the edit mode. When the song doesn't run it toggles the edit mode on/off.

Song Save

When the song wasn't saved or loaded before it will be saved in the current directory, else it will be stored where you loaded or saved it before!

Pattern Editor

You can only edit the pattern when the pattern editor is visible. When the sample or instrument editor is shown the notes are played but not recorded.

q2w3er5t6y7ui9o0p - Virtual piano keyboard, upper octave
zsxdcvgbhnjm - Virtual piano keyboard, lower octave
Chord mode - Holding down left shift key when entering notes will activate chord mode - inserts notes in track in same line. Releasing left shift advances to next pattern line (using edit step) and returns note cursor to the beginning.

Note: The keys listed above show English keyboard layout. Renoise supports all Latin keyboard layouts so you don't have to worry if your layout is different (Y and Z may be interchanged on some keyboard layouts).

Interpolation of pattern effects

Start and end parameters must have the same effect number or nothing will be interpolated.

Misc notes

Holding Left Shift while dragging loop point (sample editor or instrument envelopes) will drag both loop points.

Holding a key down for a while will start key repeat.


Register Renoise

Registering
Benefits of Registration

When you register, you get fully powered, up-to-date version of Renoise, but we will also reward you with even more free goodies!

Here is what other registered users from over 30 countries on all continents already enjoy:

HI-FI wave writer - Selectable up to 96 kHz (up to 48 kHz actual frequency range), 32 bit (65536 times CD quality) with two modes: standard (for MP3) and high quality (nearly perfect 256 points interpolation - a must for CD burning or mastering) and ability to render each track into separate file for further mixing. This is the only way to preserve original sound fidelity - with zero noise (unlike with audio cards output).

ASIO multi I/O cards support - Has the ability to route tracks to hardware channels. Use near-zero sound latency (about 5 ms) - real-time playback with no hearable sound delay when triggering notes!

FREE updates - We release so much new versions and each contains so many new features that we've lost count! With our licensing scheme it doesn't matter when you register - you get entire 1.x to 2.x update (i.e. if you register 1.4 you get updates for free until 2.4). Look for release dates of older versions and you'll see that your registration will last for such a long time that you'll forget a date when you registered!

Beta version access (released much before public version) - You can play with latest cutting-edge Renoise technologies before unregistered users can even see it! And they do - right now!

Special support on www.renoise.com - Things only registered users can do and some of those are:
Automatic updates
Emergency mailing system for quality help from developers
Poll for the new features (and they appear sooner in Renoise)
All future registered users features we develop - We release new registered users features all the time - and you get all of them!

Removal of any nag boxes or any limitations that may appear in unregistered version

In supporting our work you encourage us to make this program even better. We always have good ideas that can make composing easier and would love to implement them, because we use this software too! However without Your support it is a hard job for us and consumes great deal of time. In order to give us support, register!
If you know a music software that offers more features for our price, let us know about them -
and we'll give you more!

Remember: Renoise will not limit you with sound quality which is typical for many non-professional 'modules'. As your musical talent grows you will discover more and more Renoise features to help you achieve top-music quality and to become top-music producer. Professional producers help us to make this program as professional as possible but still, we keep it in easy-to-use tracking environment. Our registered user range is from complete beginners to studio professionals in wide age range from over 30 countries all over the world.

Our customer support for registered users is outstanding and answers always return FAST! No "5-7 business days" wait with us! If you have a problem with your registration, we have a problem - and we don't settle down until we solve it.

You get personal replies with solutions of your problem and never any predefined template mails!

Now you know what you get - compare weight of $45 (USD) and this music software possibilities and ask yourself - isn't it worth the price?

IMPORTANT: REGISTER NOW AND SAVE - Future versions registration fee will go up because of increasing program quality and increasing market as we start to compete with bigger music software! You don't gain anything by waiting - you only lose time you can use to compose music that can win you a contract with the label!

Registration is very easy and a secure process. Also there are many various payment options. To see it in detail and also see comments from other registered users please visit:

http://www.renoise.com/register.htm


Glossary
ADSR Envelope
Attack, Decay, Sustain, Release envelope. Attack is the time for a signal to reach maximal volume, Decay is the time to drop to 50%, Sustain is the time how long to sustain it at same volume, Release is the time to fade out to silence. This is an older type of envelope, used on older synths, more advanced use graphical envelopes.

Analogue
Voltage controlled as opposed to pulse controlled. It is better than digital representation of sound but analogue systems add noise with each unit and amplification because of imperfection of analogue equipment.

ASIO (Audio Stream Input Output)
Steinbergs technology for drastic reduction of audio latency. It is a connection of hardware and software to ensure such low latency (fast audio response time). It enables audio hardware manufacturers to write optimized drivers for their audio hardware (audio cards) that bypass the potentially high latency operating system mechanism like Windows Media for supporting audio hardware. It has even lower latency than Direct X.

BPM (Beats Per Minute)
Each beat is bassdrum kick if it kicks in regular intervals.

Buffer
Term used to describe memory storage reserved for extra sample/music data. If something temporarily slows down computer buffer is used to play while CPU recovers from slow down. This enables continuous music playback. Buffers can actually store any kind of data, not only samples or music.

CDDA (Compact Disc Digital Audio)
CD Quality 44.1kHz, 16Bit, Stereo sound. 16 bits are 2 bytes, 2 bytes are one (short) word. This means you need 2 bytes*2 channels*44100 samples/second = 176400 bytes for one second of stereo CD quality sound.

Channel
Usually left or right channel (stereo). Sometimes also referred with the same meaning as track. See track for comparison.

Clipping
When digital sample is amplified so much that the peaks of its waveform go past maximum level you get a clipping. Too much clipping introduces sound distortion.

DAT (Digital Audio Tape)
16Bit, 48kHz Stereo sound tape that stores music data digitally just like CDs. It is used for higher quality recordings. DAT is not used that much today because it is expensive and computer hard disks (for hard-disk recording systems) offer more flexibility for storing such music data.

Digital Zero
No audio signal is present and digital system stores it as zero. Analogue systems may add some noise due to imperfection of cable, electrical losses etc. when recording empty signal. This also counts for output of PC sound cards.

DSP (Digital Signal Processing)
Refers to anything related to processing of audio in digital form. When audio wave is sampled in digital form CPU processes its values (numbers) and result is digitally processed audio. There are no noises or similar effects like with analogue processing.

Envelope
Envelope defines how certain parameters will change over time. For example the volume envelope, graphical display shows how it will vary volume during period envelope lasts.

FFT (Fast Fourier Transform)
Family of mathematical techniques that decompose signal into sinusoids, usually for purpose of analysis (spectrum analyzer) and therefore calculating average or most dominant frequency. FFT is optimized version of FT using integers which is used for real-time DSP, sometimes hundreds time faster. FFT calculation is very CPU intensive.

Frequency
Number of oscillations per second (e.g. number of full sinus cycles per second).

Harmonics
Double frequency of original signal mixed together. First harmonic is original signal, second harmonic is doubled frequency etc. Harmonics are mainly important because some of them may appear in badly done interpolation. Also using same sound with doubling frequency and mixing it together can produce some cool sounds.

Hi-Fi (High Fidelity)
High quality reproduction of music with as much loss in original signal as possible.

Humanize
Adds random patterns to notes, drums etc. to produce more natural rhythms etc. Human drummer plays so that he always kicks the drum in a different way producing more than one basic drum sound and simulates this effect.

Interpolation
Increasing the sampling rate of a digitized signal and inserting additional values to fill the gaps. There are unlimited number of ways to interpolate signal but most common are linear and cubic interpolation. Renoise uses both.

Latency
Delay between user action and sound output. When you press a key how long will it take for note to start playing, therefore lower latency is better. Latency also appears in MIDI equipment in different context: since MIDI interface is not really fast sometimes significant delay can occur when synchronizing audio components. That kind of latency is solved by delaying MIDI signals for particular time in milliseconds (ms).

LFO
Low frequency oscillator. See also oscillator.

Loop points
Loop is repeating the sample. Loop points are sample positions that will repeat. Loops is common term for drum samples arranged to be played in loop (because they sound good when repeated).

Module (MOD files)
Module is song arrangement + samples + instrument definitions all packed together in one file. Modules appeared originally on Amiga. When module is played it usually requires no extra data like additional sounds/samples or hardware and it sounds like complete song which can be further edited if required.

Normalize
Maximize volume of sample (spread values to maximum digital range e.g. in 16-bit from -32768 to 32767).

Octave
Full musical scale from one C to another C (or from any other note to another same note). Note frequency multiplied by 2 gives one octave higher.

Oscillation/oscillator
Oscillator is a device that produces oscillations. One oscillation is for example full cycle of sinus wave - the moment it starts at 0, goes to maximum value, goes to minimum value and returns to 0. This is one cycle and one oscillation. Oscillation is not always like sinus, it can be a square, triangle or any other basic repeating waveform, except noise of course.

Pitch
It is most dominant frequency in sound. Human ear perceive this frequency as "note" although sound consists of many different frequencies.

Real Time (processing)
Processing data instantly as it appears.

Resample
Change sample pitch to make it sound like other note while preserving original sample rate. Resampled samples last longer or shorter than original sample. Resampler has limited range of operation - depending on quality of resampling function. In Renoise we use highest quality resampling functions (cubic and sinc) to maximize this range.

Sample (Sampler)
Representation of analogue signal in digital form (numbers). Sample is more convenient for digital systems storage like computers, CDs, etc. Sampler uses digital sound presentation to produce "instruments".

Sequencer/Sequence
Arrangement of patterns (pattern order) in case of Renoise. In general case - arrangement of all the notes that appear in some song. Sequencer is a device either hardware (but usually software) that is used to make such arrangements and input notes.

Synthesizer
Device designed specifically for creating sound using basic waveform oscillators. Basic waveforms are sinus, triangle, square (pulse), saw, noise etc.

Track
Single pattern column containing notes. If you play a notes on only 1 track new note will stop playback of previous note (unless track is polyphonic).

VST (Virtual Studio Technology)
The VST plug-in technology is an interface standard for connecting audio effect plug-ins to audio editors and hard-disk recording systems. A VST plug-in is a real-time audio processing module that can be hosted by any VST compatible host software like Renoise. VST therefore exists in 2 versions: as a host (that accepts VST plug-ins), or as a plug-in (that needs VST host software).